import type { ExtractPropTypes, PropType } from 'vue';
import type { Breakpoint } from '../_util/responsiveObserve';
declare const RowAligns: ["top", "middle", "bottom", "stretch"];
declare const RowJustify: ["start", "end", "center", "space-around", "space-between"];
export type Gutter = number | Partial<Record<Breakpoint, number>>;
export interface rowContextState {
    gutter?: [number, number];
}
export declare const rowProps: () => {
    align: PropType<(typeof RowAligns)[number]>;
    justify: PropType<(typeof RowJustify)[number]>;
    prefixCls: StringConstructor;
    gutter: {
        type: PropType<Gutter | [Gutter, Gutter]>;
        default: Gutter | [Gutter, Gutter];
    };
    wrap: {
        type: BooleanConstructor;
        default: any;
    };
};
export type RowProps = Partial<ExtractPropTypes<ReturnType<typeof rowProps>>>;
declare const ARow: import("vue").DefineComponent<{
    align: PropType<(typeof RowAligns)[number]>;
    justify: PropType<(typeof RowJustify)[number]>;
    prefixCls: StringConstructor;
    gutter: {
        type: PropType<Gutter | [Gutter, Gutter]>;
        default: Gutter | [Gutter, Gutter];
    };
    wrap: {
        type: BooleanConstructor;
        default: any;
    };
}, () => import("vue/jsx-runtime").JSX.Element, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").PublicProps, Readonly<ExtractPropTypes<{
    align: PropType<(typeof RowAligns)[number]>;
    justify: PropType<(typeof RowJustify)[number]>;
    prefixCls: StringConstructor;
    gutter: {
        type: PropType<Gutter | [Gutter, Gutter]>;
        default: Gutter | [Gutter, Gutter];
    };
    wrap: {
        type: BooleanConstructor;
        default: any;
    };
}>>, {
    wrap: boolean;
    gutter: number | Partial<Record<Breakpoint, number>> | [Gutter, Gutter];
}, {}>;
export default ARow;
