import _objectSpread from "@babel/runtime/helpers/esm/objectSpread2";
import _objectWithoutProperties from "@babel/runtime/helpers/esm/objectWithoutProperties";
const _excluded = ["component"],
  _excluded2 = ["className"],
  _excluded3 = ["class"];
import { resolveDirective as _resolveDirective, createVNode as _createVNode } from "vue";
import { defineComponent } from 'vue';
import classNames from '../_util/classNames';
import PropTypes from '../_util/vue-types';
import { OverflowContextProvider, useInjectOverflowContext } from './context';
import Item from './Item';
export default defineComponent({
  compatConfig: {
    MODE: 3
  },
  name: 'RawItem',
  inheritAttrs: false,
  props: {
    component: PropTypes.any,
    title: PropTypes.any,
    id: String,
    onMouseenter: {
      type: Function
    },
    onMouseleave: {
      type: Function
    },
    onClick: {
      type: Function
    },
    onKeydown: {
      type: Function
    },
    onFocus: {
      type: Function
    },
    role: String,
    tabindex: Number
  },
  setup(props, _ref) {
    let {
      slots,
      attrs
    } = _ref;
    const context = useInjectOverflowContext();
    return () => {
      // Render directly when context not provided
      if (!context.value) {
        var _slots$default;
        const {
            component: Component = 'div'
          } = props,
          restProps = _objectWithoutProperties(props, _excluded);
        return _createVNode(Component, _objectSpread(_objectSpread({}, restProps), attrs), {
          default: () => [(_slots$default = slots.default) === null || _slots$default === void 0 ? void 0 : _slots$default.call(slots)]
        });
      }
      const _context$value = context.value,
        {
          className: contextClassName
        } = _context$value,
        restContext = _objectWithoutProperties(_context$value, _excluded2);
      const {
          class: className
        } = attrs,
        restProps = _objectWithoutProperties(attrs, _excluded3);
      // Do not pass context to sub item to avoid multiple measure
      return _createVNode(OverflowContextProvider, {
        "value": null
      }, {
        default: () => [_createVNode(Item, _objectSpread(_objectSpread(_objectSpread({
          "class": classNames(contextClassName, className)
        }, restContext), restProps), props), slots)]
      });
    };
  }
});