import { createVNode as _createVNode, Fragment as _Fragment } from "vue";
export default function getRanges(_ref) {
  let {
    prefixCls,
    rangeList = [],
    components = {},
    needConfirmButton,
    onNow,
    onOk,
    okDisabled,
    showNow,
    locale
  } = _ref;
  let presetNode;
  let okNode;
  if (rangeList.length) {
    const Item = components.rangeItem || 'span';
    presetNode = _createVNode(_Fragment, null, [rangeList.map(_ref2 => {
      let {
        label,
        onClick,
        onMouseenter,
        onMouseleave
      } = _ref2;
      return _createVNode("li", {
        "key": label,
        "class": `${prefixCls}-preset`
      }, [_createVNode(Item, {
        "onClick": onClick,
        "onMouseenter": onMouseenter,
        "onMouseleave": onMouseleave
      }, {
        default: () => [label]
      })]);
    })]);
  }
  if (needConfirmButton) {
    const Button = components.button || 'button';
    if (onNow && !presetNode && showNow !== false) {
      presetNode = _createVNode("li", {
        "class": `${prefixCls}-now`
      }, [_createVNode("a", {
        "class": `${prefixCls}-now-btn`,
        "onClick": onNow
      }, [locale.now])]);
    }
    okNode = needConfirmButton && _createVNode("li", {
      "class": `${prefixCls}-ok`
    }, [_createVNode(Button, {
      "disabled": okDisabled,
      "onClick": onOk
    }, {
      default: () => [locale.ok]
    })]);
  }
  if (!presetNode && !okNode) {
    return null;
  }
  return _createVNode("ul", {
    "class": `${prefixCls}-ranges`
  }, [presetNode, okNode]);
}