import _objectSpread from "@babel/runtime/helpers/esm/objectSpread2";
import _objectWithoutProperties from "@babel/runtime/helpers/esm/objectWithoutProperties";
const _excluded = ["value", "disabled"];
import { flattenChildren, isValidElement } from '../../_util/props-util';
function convertNodeToOption(node) {
  const {
      key,
      children,
      props: {
        value,
        disabled
      }
    } = node,
    restProps = _objectWithoutProperties(node.props, _excluded);
  const child = children === null || children === void 0 ? void 0 : children.default;
  return _objectSpread({
    key,
    value: value !== undefined ? value : key,
    children: child,
    disabled: disabled || disabled === ''
  }, restProps);
}
export function convertChildrenToData(nodes) {
  let optionOnly = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : false;
  const dd = flattenChildren(nodes).map((node, index) => {
    var _children$label;
    if (!isValidElement(node) || !node.type) {
      return null;
    }
    const {
      type: {
        isSelectOptGroup
      },
      key,
      children,
      props
    } = node;
    if (optionOnly || !isSelectOptGroup) {
      return convertNodeToOption(node);
    }
    const child = children && children.default ? children.default() : undefined;
    const label = (props === null || props === void 0 ? void 0 : props.label) || ((_children$label = children.label) === null || _children$label === void 0 ? void 0 : _children$label.call(children)) || key;
    return _objectSpread(_objectSpread({
      key: `__RC_SELECT_GRP__${key === null ? index : String(key)}__`
    }, props), {}, {
      label,
      options: convertChildrenToData(child || [])
    });
  }).filter(data => data);
  return dd;
}