import _objectSpread from "@babel/runtime/helpers/esm/objectSpread2";
import _objectWithoutProperties from "@babel/runtime/helpers/esm/objectWithoutProperties";
const _excluded = ["columnType"];
import { createVNode as _createVNode } from "vue";
import { INTERNAL_COL_DEFINE } from './utils/legacyUtil';
function ColGroup(_ref) {
  let {
    colWidths,
    columns,
    columCount
  } = _ref;
  const cols = [];
  const len = columCount || columns.length;
  // Only insert col with width & additional props
  // Skip if rest col do not have any useful info
  let mustInsert = false;
  for (let i = len - 1; i >= 0; i -= 1) {
    const width = colWidths[i];
    const column = columns && columns[i];
    const additionalProps = column && column[INTERNAL_COL_DEFINE];
    if (width || additionalProps || mustInsert) {
      const _ref2 = additionalProps || {},
        {
          columnType
        } = _ref2,
        restAdditionalProps = _objectWithoutProperties(_ref2, _excluded);
      cols.unshift(_createVNode("col", _objectSpread({
        "key": i,
        "style": {
          width: typeof width === 'number' ? `${width}px` : width
        }
      }, restAdditionalProps), null));
      mustInsert = true;
    }
  }
  return _createVNode("colgroup", null, [cols]);
}
export default ColGroup;