"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _vue = require("vue");
var _configProvider = require("../../config-provider");
var _default = (name, props) => {
  const configProvider = (0, _vue.inject)('configProvider', _configProvider.defaultConfigProvider);
  const prefixCls = (0, _vue.computed)(() => configProvider.getPrefixCls(name, props.prefixCls));
  const direction = (0, _vue.computed)(() => props.direction ?? configProvider.direction);
  const rootPrefixCls = (0, _vue.computed)(() => configProvider.getPrefixCls());
  const autoInsertSpaceInButton = (0, _vue.computed)(() => configProvider.autoInsertSpaceInButton);
  const renderEmpty = (0, _vue.computed)(() => configProvider.renderEmpty);
  const space = (0, _vue.computed)(() => configProvider.space);
  const pageHeader = (0, _vue.computed)(() => configProvider.pageHeader);
  const form = (0, _vue.computed)(() => configProvider.form);
  const getTargetContainer = (0, _vue.computed)(() => props.getTargetContainer || configProvider.getTargetContainer);
  const getPopupContainer = (0, _vue.computed)(() => props.getPopupContainer || configProvider.getPopupContainer);
  const dropdownMatchSelectWidth = (0, _vue.computed)(() => props.dropdownMatchSelectWidth ?? configProvider.dropdownMatchSelectWidth);
  const virtual = (0, _vue.computed)(() => (props.virtual === undefined ? configProvider.virtual !== false : props.virtual !== false) && dropdownMatchSelectWidth.value !== false);
  const size = (0, _vue.computed)(() => props.size || configProvider.componentSize);
  const autocomplete = (0, _vue.computed)(() => {
    var _configProvider$input;
    return props.autocomplete || ((_configProvider$input = configProvider.input) === null || _configProvider$input === void 0 ? void 0 : _configProvider$input.autocomplete);
  });
  const csp = (0, _vue.computed)(() => configProvider.csp);
  return {
    configProvider,
    prefixCls,
    direction,
    size,
    getTargetContainer,
    getPopupContainer,
    space,
    pageHeader,
    form,
    autoInsertSpaceInButton,
    renderEmpty,
    virtual,
    dropdownMatchSelectWidth,
    rootPrefixCls,
    getPrefixCls: configProvider.getPrefixCls,
    autocomplete,
    csp
  };
};
exports.default = _default;