"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.useProvideSize = exports.useInjectSize = exports.sizeProvider = exports.default = void 0;
var _vue = require("vue");
var _configProvider = require("../../config-provider");
const sizeProvider = exports.sizeProvider = Symbol('SizeProvider');
const useProvideSize = props => {
  const configProvider = (0, _vue.inject)('configProvider', _configProvider.defaultConfigProvider);
  const size = (0, _vue.computed)(() => props.size || configProvider.componentSize);
  (0, _vue.provide)(sizeProvider, size);
  return size;
};
exports.useProvideSize = useProvideSize;
const useInjectSize = props => {
  const size = props ? (0, _vue.computed)(() => props.size) : (0, _vue.inject)(sizeProvider, (0, _vue.computed)(() => 'default'));
  return size;
};
exports.useInjectSize = useInjectSize;
var _default = exports.default = useProvideSize;