import type { Moment } from 'moment';
import type { App } from 'vue';
import type { PickerProps, PickerDateProps, RangePickerProps as BaseRangePickerProps } from './generatePicker';
import type { ExtraDatePickerProps, ExtraRangePickerProps } from './generatePicker/props';
export type DatePickerProps = PickerProps<Moment> & ExtraDatePickerProps<Moment>;
export type MonthPickerProps = Omit<PickerDateProps<Moment>, 'picker'> & ExtraDatePickerProps<Moment>;
export type WeekPickerProps = Omit<PickerDateProps<Moment>, 'picker'> & ExtraDatePickerProps<Moment>;
export type RangePickerProps = BaseRangePickerProps<Moment> & ExtraRangePickerProps<Moment>;
declare const WeekPicker: import("vue").DefineComponent<{
    defaultPickerValue: {
        type: import("vue").PropType<string | Moment>;
    };
    defaultValue: {
        type: import("vue").PropType<string | Moment>;
    };
    value: {
        type: import("vue").PropType<string | Moment>;
    };
    disabledTime: {
        type: import("vue").PropType<import("../vc-picker/interface").DisabledTime<Moment>>;
    };
    renderExtraFooter: {
        type: import("vue").PropType<(mode: import("../vc-picker/interface").PanelMode) => import("../_util/type").VueNode>;
    };
    showNow: {
        type: BooleanConstructor;
        default: any;
    };
    monthCellRender: {
        type: import("vue").PropType<import("../vc-picker/panels/MonthPanel/MonthBody").MonthCellRender<Moment>>;
    };
    monthCellContentRender: {
        type: import("vue").PropType<import("../vc-picker/panels/MonthPanel/MonthBody").MonthCellRender<Moment>>;
    };
    id: StringConstructor;
    dropdownClassName: StringConstructor;
    dropdownAlign: {
        type: import("vue").PropType<import("../vc-align/interface").AlignType>;
    };
    popupStyle: {
        type: import("vue").PropType<import("vue").CSSProperties>;
    };
    transitionName: StringConstructor;
    placeholder: StringConstructor;
    allowClear: {
        type: BooleanConstructor;
        default: any;
    };
    autofocus: {
        type: BooleanConstructor;
        default: any;
    };
    disabled: {
        type: BooleanConstructor;
        default: any;
    };
    tabindex: NumberConstructor;
    open: {
        type: BooleanConstructor;
        default: any;
    };
    defaultOpen: {
        type: BooleanConstructor;
        default: any;
    };
    inputReadOnly: {
        type: BooleanConstructor;
        default: any;
    };
    format: {
        type: import("vue").PropType<string | import("../vc-picker/interface").CustomFormat<Moment> | (string | import("../vc-picker/interface").CustomFormat<Moment>)[]>;
    };
    getPopupContainer: {
        type: import("vue").PropType<(node: HTMLElement) => HTMLElement>;
    };
    panelRender: {
        type: import("vue").PropType<(originPanel: import("../_util/type").VueNode) => import("../_util/type").VueNode>;
    };
    onChange: {
        type: import("vue").PropType<(value: string | Moment, dateString: string) => void>;
    };
    'onUpdate:value': {
        type: import("vue").PropType<(value: string | Moment) => void>;
    };
    onOk: {
        type: import("vue").PropType<(value: string | Moment) => void>;
    };
    onOpenChange: {
        type: import("vue").PropType<(open: boolean) => void>;
    };
    'onUpdate:open': {
        type: import("vue").PropType<(open: boolean) => void>;
    };
    onFocus: {
        type: import("vue").PropType<import("../_util/EventInterface").FocusEventHandler>;
    };
    onBlur: {
        type: import("vue").PropType<import("../_util/EventInterface").FocusEventHandler>;
    };
    onMousedown: {
        type: import("vue").PropType<import("../_util/EventInterface").MouseEventHandler>;
    };
    onMouseup: {
        type: import("vue").PropType<import("../_util/EventInterface").MouseEventHandler>;
    };
    onMouseenter: {
        type: import("vue").PropType<import("../_util/EventInterface").MouseEventHandler>;
    };
    onMouseleave: {
        type: import("vue").PropType<import("../_util/EventInterface").MouseEventHandler>;
    };
    onClick: {
        type: import("vue").PropType<import("../_util/EventInterface").MouseEventHandler>;
    };
    onContextmenu: {
        type: import("vue").PropType<import("../_util/EventInterface").MouseEventHandler>;
    };
    onKeydown: {
        type: import("vue").PropType<(event: KeyboardEvent, preventDefault: () => void) => void>;
    };
    role: StringConstructor;
    name: StringConstructor;
    autocomplete: StringConstructor;
    direction: {
        type: import("vue").PropType<"ltr" | "rtl">;
    };
    showToday: {
        type: BooleanConstructor;
        default: any;
    };
    showTime: {
        type: import("vue").PropType<boolean | import("../vc-picker/panels/TimePanel").SharedTimeProps<Moment>>;
        default: any;
    };
    locale: {
        type: import("vue").PropType<import("./generatePicker").PickerLocale>;
    };
    size: {
        type: import("vue").PropType<import("../button").ButtonSize>;
    };
    bordered: {
        type: BooleanConstructor;
        default: any;
    };
    dateRender: {
        type: import("vue").PropType<import("../vc-picker/panels/DatePanel/DateBody").DateRender<Moment>>;
    };
    disabledDate: {
        type: import("vue").PropType<(date: Moment) => boolean>;
    };
    mode: {
        type: import("vue").PropType<import("../vc-picker/interface").PanelMode>;
    };
    picker: {
        type: import("vue").PropType<import("../vc-picker/interface").PickerMode>;
    };
    valueFormat: StringConstructor;
    disabledHours: import("vue").PropType<import("../vc-picker/interface").DisabledTimes["disabledHours"]>;
    disabledMinutes: import("vue").PropType<import("../vc-picker/interface").DisabledTimes["disabledMinutes"]>;
    disabledSeconds: import("vue").PropType<import("../vc-picker/interface").DisabledTimes["disabledSeconds"]>;
}, () => import("vue/jsx-runtime").JSX.Element, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").PublicProps, Readonly<import("vue").ExtractPropTypes<{
    defaultPickerValue: {
        type: import("vue").PropType<string | Moment>;
    };
    defaultValue: {
        type: import("vue").PropType<string | Moment>;
    };
    value: {
        type: import("vue").PropType<string | Moment>;
    };
    disabledTime: {
        type: import("vue").PropType<import("../vc-picker/interface").DisabledTime<Moment>>;
    };
    renderExtraFooter: {
        type: import("vue").PropType<(mode: import("../vc-picker/interface").PanelMode) => import("../_util/type").VueNode>;
    };
    showNow: {
        type: BooleanConstructor;
        default: any;
    };
    monthCellRender: {
        type: import("vue").PropType<import("../vc-picker/panels/MonthPanel/MonthBody").MonthCellRender<Moment>>;
    };
    monthCellContentRender: {
        type: import("vue").PropType<import("../vc-picker/panels/MonthPanel/MonthBody").MonthCellRender<Moment>>;
    };
    id: StringConstructor;
    dropdownClassName: StringConstructor;
    dropdownAlign: {
        type: import("vue").PropType<import("../vc-align/interface").AlignType>;
    };
    popupStyle: {
        type: import("vue").PropType<import("vue").CSSProperties>;
    };
    transitionName: StringConstructor;
    placeholder: StringConstructor;
    allowClear: {
        type: BooleanConstructor;
        default: any;
    };
    autofocus: {
        type: BooleanConstructor;
        default: any;
    };
    disabled: {
        type: BooleanConstructor;
        default: any;
    };
    tabindex: NumberConstructor;
    open: {
        type: BooleanConstructor;
        default: any;
    };
    defaultOpen: {
        type: BooleanConstructor;
        default: any;
    };
    inputReadOnly: {
        type: BooleanConstructor;
        default: any;
    };
    format: {
        type: import("vue").PropType<string | import("../vc-picker/interface").CustomFormat<Moment> | (string | import("../vc-picker/interface").CustomFormat<Moment>)[]>;
    };
    getPopupContainer: {
        type: import("vue").PropType<(node: HTMLElement) => HTMLElement>;
    };
    panelRender: {
        type: import("vue").PropType<(originPanel: import("../_util/type").VueNode) => import("../_util/type").VueNode>;
    };
    onChange: {
        type: import("vue").PropType<(value: string | Moment, dateString: string) => void>;
    };
    'onUpdate:value': {
        type: import("vue").PropType<(value: string | Moment) => void>;
    };
    onOk: {
        type: import("vue").PropType<(value: string | Moment) => void>;
    };
    onOpenChange: {
        type: import("vue").PropType<(open: boolean) => void>;
    };
    'onUpdate:open': {
        type: import("vue").PropType<(open: boolean) => void>;
    };
    onFocus: {
        type: import("vue").PropType<import("../_util/EventInterface").FocusEventHandler>;
    };
    onBlur: {
        type: import("vue").PropType<import("../_util/EventInterface").FocusEventHandler>;
    };
    onMousedown: {
        type: import("vue").PropType<import("../_util/EventInterface").MouseEventHandler>;
    };
    onMouseup: {
        type: import("vue").PropType<import("../_util/EventInterface").MouseEventHandler>;
    };
    onMouseenter: {
        type: import("vue").PropType<import("../_util/EventInterface").MouseEventHandler>;
    };
    onMouseleave: {
        type: import("vue").PropType<import("../_util/EventInterface").MouseEventHandler>;
    };
    onClick: {
        type: import("vue").PropType<import("../_util/EventInterface").MouseEventHandler>;
    };
    onContextmenu: {
        type: import("vue").PropType<import("../_util/EventInterface").MouseEventHandler>;
    };
    onKeydown: {
        type: import("vue").PropType<(event: KeyboardEvent, preventDefault: () => void) => void>;
    };
    role: StringConstructor;
    name: StringConstructor;
    autocomplete: StringConstructor;
    direction: {
        type: import("vue").PropType<"ltr" | "rtl">;
    };
    showToday: {
        type: BooleanConstructor;
        default: any;
    };
    showTime: {
        type: import("vue").PropType<boolean | import("../vc-picker/panels/TimePanel").SharedTimeProps<Moment>>;
        default: any;
    };
    locale: {
        type: import("vue").PropType<import("./generatePicker").PickerLocale>;
    };
    size: {
        type: import("vue").PropType<import("../button").ButtonSize>;
    };
    bordered: {
        type: BooleanConstructor;
        default: any;
    };
    dateRender: {
        type: import("vue").PropType<import("../vc-picker/panels/DatePanel/DateBody").DateRender<Moment>>;
    };
    disabledDate: {
        type: import("vue").PropType<(date: Moment) => boolean>;
    };
    mode: {
        type: import("vue").PropType<import("../vc-picker/interface").PanelMode>;
    };
    picker: {
        type: import("vue").PropType<import("../vc-picker/interface").PickerMode>;
    };
    valueFormat: StringConstructor;
    disabledHours: import("vue").PropType<import("../vc-picker/interface").DisabledTimes["disabledHours"]>;
    disabledMinutes: import("vue").PropType<import("../vc-picker/interface").DisabledTimes["disabledMinutes"]>;
    disabledSeconds: import("vue").PropType<import("../vc-picker/interface").DisabledTimes["disabledSeconds"]>;
}>>, {
    open: boolean;
    disabled: boolean;
    autofocus: boolean;
    defaultOpen: boolean;
    allowClear: boolean;
    bordered: boolean;
    showTime: any;
    showNow: boolean;
    showToday: boolean;
    inputReadOnly: boolean;
}, import("../_util/type").CustomSlotsType<{
    suffixIcon?: any;
    prevIcon?: any;
    nextIcon?: any;
    superPrevIcon?: any;
    superNextIcon?: any;
    dateRender?: any;
    renderExtraFooter?: any;
    monthCellRender?: any;
    monthCellContentRender?: any;
    clearIcon?: any;
    default?: any;
}>>, MonthPicker: import("vue").DefineComponent<{
    defaultPickerValue: {
        type: import("vue").PropType<string | Moment>;
    };
    defaultValue: {
        type: import("vue").PropType<string | Moment>;
    };
    value: {
        type: import("vue").PropType<string | Moment>;
    };
    disabledTime: {
        type: import("vue").PropType<import("../vc-picker/interface").DisabledTime<Moment>>;
    };
    renderExtraFooter: {
        type: import("vue").PropType<(mode: import("../vc-picker/interface").PanelMode) => import("../_util/type").VueNode>;
    };
    showNow: {
        type: BooleanConstructor;
        default: any;
    };
    monthCellRender: {
        type: import("vue").PropType<import("../vc-picker/panels/MonthPanel/MonthBody").MonthCellRender<Moment>>;
    };
    monthCellContentRender: {
        type: import("vue").PropType<import("../vc-picker/panels/MonthPanel/MonthBody").MonthCellRender<Moment>>;
    };
    id: StringConstructor;
    dropdownClassName: StringConstructor;
    dropdownAlign: {
        type: import("vue").PropType<import("../vc-align/interface").AlignType>;
    };
    popupStyle: {
        type: import("vue").PropType<import("vue").CSSProperties>;
    };
    transitionName: StringConstructor;
    placeholder: StringConstructor;
    allowClear: {
        type: BooleanConstructor;
        default: any;
    };
    autofocus: {
        type: BooleanConstructor;
        default: any;
    };
    disabled: {
        type: BooleanConstructor;
        default: any;
    };
    tabindex: NumberConstructor;
    open: {
        type: BooleanConstructor;
        default: any;
    };
    defaultOpen: {
        type: BooleanConstructor;
        default: any;
    };
    inputReadOnly: {
        type: BooleanConstructor;
        default: any;
    };
    format: {
        type: import("vue").PropType<string | import("../vc-picker/interface").CustomFormat<Moment> | (string | import("../vc-picker/interface").CustomFormat<Moment>)[]>;
    };
    getPopupContainer: {
        type: import("vue").PropType<(node: HTMLElement) => HTMLElement>;
    };
    panelRender: {
        type: import("vue").PropType<(originPanel: import("../_util/type").VueNode) => import("../_util/type").VueNode>;
    };
    onChange: {
        type: import("vue").PropType<(value: string | Moment, dateString: string) => void>;
    };
    'onUpdate:value': {
        type: import("vue").PropType<(value: string | Moment) => void>;
    };
    onOk: {
        type: import("vue").PropType<(value: string | Moment) => void>;
    };
    onOpenChange: {
        type: import("vue").PropType<(open: boolean) => void>;
    };
    'onUpdate:open': {
        type: import("vue").PropType<(open: boolean) => void>;
    };
    onFocus: {
        type: import("vue").PropType<import("../_util/EventInterface").FocusEventHandler>;
    };
    onBlur: {
        type: import("vue").PropType<import("../_util/EventInterface").FocusEventHandler>;
    };
    onMousedown: {
        type: import("vue").PropType<import("../_util/EventInterface").MouseEventHandler>;
    };
    onMouseup: {
        type: import("vue").PropType<import("../_util/EventInterface").MouseEventHandler>;
    };
    onMouseenter: {
        type: import("vue").PropType<import("../_util/EventInterface").MouseEventHandler>;
    };
    onMouseleave: {
        type: import("vue").PropType<import("../_util/EventInterface").MouseEventHandler>;
    };
    onClick: {
        type: import("vue").PropType<import("../_util/EventInterface").MouseEventHandler>;
    };
    onContextmenu: {
        type: import("vue").PropType<import("../_util/EventInterface").MouseEventHandler>;
    };
    onKeydown: {
        type: import("vue").PropType<(event: KeyboardEvent, preventDefault: () => void) => void>;
    };
    role: StringConstructor;
    name: StringConstructor;
    autocomplete: StringConstructor;
    direction: {
        type: import("vue").PropType<"ltr" | "rtl">;
    };
    showToday: {
        type: BooleanConstructor;
        default: any;
    };
    showTime: {
        type: import("vue").PropType<boolean | import("../vc-picker/panels/TimePanel").SharedTimeProps<Moment>>;
        default: any;
    };
    locale: {
        type: import("vue").PropType<import("./generatePicker").PickerLocale>;
    };
    size: {
        type: import("vue").PropType<import("../button").ButtonSize>;
    };
    bordered: {
        type: BooleanConstructor;
        default: any;
    };
    dateRender: {
        type: import("vue").PropType<import("../vc-picker/panels/DatePanel/DateBody").DateRender<Moment>>;
    };
    disabledDate: {
        type: import("vue").PropType<(date: Moment) => boolean>;
    };
    mode: {
        type: import("vue").PropType<import("../vc-picker/interface").PanelMode>;
    };
    picker: {
        type: import("vue").PropType<import("../vc-picker/interface").PickerMode>;
    };
    valueFormat: StringConstructor;
    disabledHours: import("vue").PropType<import("../vc-picker/interface").DisabledTimes["disabledHours"]>;
    disabledMinutes: import("vue").PropType<import("../vc-picker/interface").DisabledTimes["disabledMinutes"]>;
    disabledSeconds: import("vue").PropType<import("../vc-picker/interface").DisabledTimes["disabledSeconds"]>;
}, () => import("vue/jsx-runtime").JSX.Element, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").PublicProps, Readonly<import("vue").ExtractPropTypes<{
    defaultPickerValue: {
        type: import("vue").PropType<string | Moment>;
    };
    defaultValue: {
        type: import("vue").PropType<string | Moment>;
    };
    value: {
        type: import("vue").PropType<string | Moment>;
    };
    disabledTime: {
        type: import("vue").PropType<import("../vc-picker/interface").DisabledTime<Moment>>;
    };
    renderExtraFooter: {
        type: import("vue").PropType<(mode: import("../vc-picker/interface").PanelMode) => import("../_util/type").VueNode>;
    };
    showNow: {
        type: BooleanConstructor;
        default: any;
    };
    monthCellRender: {
        type: import("vue").PropType<import("../vc-picker/panels/MonthPanel/MonthBody").MonthCellRender<Moment>>;
    };
    monthCellContentRender: {
        type: import("vue").PropType<import("../vc-picker/panels/MonthPanel/MonthBody").MonthCellRender<Moment>>;
    };
    id: StringConstructor;
    dropdownClassName: StringConstructor;
    dropdownAlign: {
        type: import("vue").PropType<import("../vc-align/interface").AlignType>;
    };
    popupStyle: {
        type: import("vue").PropType<import("vue").CSSProperties>;
    };
    transitionName: StringConstructor;
    placeholder: StringConstructor;
    allowClear: {
        type: BooleanConstructor;
        default: any;
    };
    autofocus: {
        type: BooleanConstructor;
        default: any;
    };
    disabled: {
        type: BooleanConstructor;
        default: any;
    };
    tabindex: NumberConstructor;
    open: {
        type: BooleanConstructor;
        default: any;
    };
    defaultOpen: {
        type: BooleanConstructor;
        default: any;
    };
    inputReadOnly: {
        type: BooleanConstructor;
        default: any;
    };
    format: {
        type: import("vue").PropType<string | import("../vc-picker/interface").CustomFormat<Moment> | (string | import("../vc-picker/interface").CustomFormat<Moment>)[]>;
    };
    getPopupContainer: {
        type: import("vue").PropType<(node: HTMLElement) => HTMLElement>;
    };
    panelRender: {
        type: import("vue").PropType<(originPanel: import("../_util/type").VueNode) => import("../_util/type").VueNode>;
    };
    onChange: {
        type: import("vue").PropType<(value: string | Moment, dateString: string) => void>;
    };
    'onUpdate:value': {
        type: import("vue").PropType<(value: string | Moment) => void>;
    };
    onOk: {
        type: import("vue").PropType<(value: string | Moment) => void>;
    };
    onOpenChange: {
        type: import("vue").PropType<(open: boolean) => void>;
    };
    'onUpdate:open': {
        type: import("vue").PropType<(open: boolean) => void>;
    };
    onFocus: {
        type: import("vue").PropType<import("../_util/EventInterface").FocusEventHandler>;
    };
    onBlur: {
        type: import("vue").PropType<import("../_util/EventInterface").FocusEventHandler>;
    };
    onMousedown: {
        type: import("vue").PropType<import("../_util/EventInterface").MouseEventHandler>;
    };
    onMouseup: {
        type: import("vue").PropType<import("../_util/EventInterface").MouseEventHandler>;
    };
    onMouseenter: {
        type: import("vue").PropType<import("../_util/EventInterface").MouseEventHandler>;
    };
    onMouseleave: {
        type: import("vue").PropType<import("../_util/EventInterface").MouseEventHandler>;
    };
    onClick: {
        type: import("vue").PropType<import("../_util/EventInterface").MouseEventHandler>;
    };
    onContextmenu: {
        type: import("vue").PropType<import("../_util/EventInterface").MouseEventHandler>;
    };
    onKeydown: {
        type: import("vue").PropType<(event: KeyboardEvent, preventDefault: () => void) => void>;
    };
    role: StringConstructor;
    name: StringConstructor;
    autocomplete: StringConstructor;
    direction: {
        type: import("vue").PropType<"ltr" | "rtl">;
    };
    showToday: {
        type: BooleanConstructor;
        default: any;
    };
    showTime: {
        type: import("vue").PropType<boolean | import("../vc-picker/panels/TimePanel").SharedTimeProps<Moment>>;
        default: any;
    };
    locale: {
        type: import("vue").PropType<import("./generatePicker").PickerLocale>;
    };
    size: {
        type: import("vue").PropType<import("../button").ButtonSize>;
    };
    bordered: {
        type: BooleanConstructor;
        default: any;
    };
    dateRender: {
        type: import("vue").PropType<import("../vc-picker/panels/DatePanel/DateBody").DateRender<Moment>>;
    };
    disabledDate: {
        type: import("vue").PropType<(date: Moment) => boolean>;
    };
    mode: {
        type: import("vue").PropType<import("../vc-picker/interface").PanelMode>;
    };
    picker: {
        type: import("vue").PropType<import("../vc-picker/interface").PickerMode>;
    };
    valueFormat: StringConstructor;
    disabledHours: import("vue").PropType<import("../vc-picker/interface").DisabledTimes["disabledHours"]>;
    disabledMinutes: import("vue").PropType<import("../vc-picker/interface").DisabledTimes["disabledMinutes"]>;
    disabledSeconds: import("vue").PropType<import("../vc-picker/interface").DisabledTimes["disabledSeconds"]>;
}>>, {
    open: boolean;
    disabled: boolean;
    autofocus: boolean;
    defaultOpen: boolean;
    allowClear: boolean;
    bordered: boolean;
    showTime: any;
    showNow: boolean;
    showToday: boolean;
    inputReadOnly: boolean;
}, import("../_util/type").CustomSlotsType<{
    suffixIcon?: any;
    prevIcon?: any;
    nextIcon?: any;
    superPrevIcon?: any;
    superNextIcon?: any;
    dateRender?: any;
    renderExtraFooter?: any;
    monthCellRender?: any;
    monthCellContentRender?: any;
    clearIcon?: any;
    default?: any;
}>>, QuarterPicker: import("vue").DefineComponent<{
    defaultPickerValue: {
        type: import("vue").PropType<string | Moment>;
    };
    defaultValue: {
        type: import("vue").PropType<string | Moment>;
    };
    value: {
        type: import("vue").PropType<string | Moment>;
    };
    disabledTime: {
        type: import("vue").PropType<import("../vc-picker/interface").DisabledTime<Moment>>;
    };
    renderExtraFooter: {
        type: import("vue").PropType<(mode: import("../vc-picker/interface").PanelMode) => import("../_util/type").VueNode>;
    };
    showNow: {
        type: BooleanConstructor;
        default: any;
    };
    monthCellRender: {
        type: import("vue").PropType<import("../vc-picker/panels/MonthPanel/MonthBody").MonthCellRender<Moment>>;
    };
    monthCellContentRender: {
        type: import("vue").PropType<import("../vc-picker/panels/MonthPanel/MonthBody").MonthCellRender<Moment>>;
    };
    id: StringConstructor;
    dropdownClassName: StringConstructor;
    dropdownAlign: {
        type: import("vue").PropType<import("../vc-align/interface").AlignType>;
    };
    popupStyle: {
        type: import("vue").PropType<import("vue").CSSProperties>;
    };
    transitionName: StringConstructor;
    placeholder: StringConstructor;
    allowClear: {
        type: BooleanConstructor;
        default: any;
    };
    autofocus: {
        type: BooleanConstructor;
        default: any;
    };
    disabled: {
        type: BooleanConstructor;
        default: any;
    };
    tabindex: NumberConstructor;
    open: {
        type: BooleanConstructor;
        default: any;
    };
    defaultOpen: {
        type: BooleanConstructor;
        default: any;
    };
    inputReadOnly: {
        type: BooleanConstructor;
        default: any;
    };
    format: {
        type: import("vue").PropType<string | import("../vc-picker/interface").CustomFormat<Moment> | (string | import("../vc-picker/interface").CustomFormat<Moment>)[]>;
    };
    getPopupContainer: {
        type: import("vue").PropType<(node: HTMLElement) => HTMLElement>;
    };
    panelRender: {
        type: import("vue").PropType<(originPanel: import("../_util/type").VueNode) => import("../_util/type").VueNode>;
    };
    onChange: {
        type: import("vue").PropType<(value: string | Moment, dateString: string) => void>;
    };
    'onUpdate:value': {
        type: import("vue").PropType<(value: string | Moment) => void>;
    };
    onOk: {
        type: import("vue").PropType<(value: string | Moment) => void>;
    };
    onOpenChange: {
        type: import("vue").PropType<(open: boolean) => void>;
    };
    'onUpdate:open': {
        type: import("vue").PropType<(open: boolean) => void>;
    };
    onFocus: {
        type: import("vue").PropType<import("../_util/EventInterface").FocusEventHandler>;
    };
    onBlur: {
        type: import("vue").PropType<import("../_util/EventInterface").FocusEventHandler>;
    };
    onMousedown: {
        type: import("vue").PropType<import("../_util/EventInterface").MouseEventHandler>;
    };
    onMouseup: {
        type: import("vue").PropType<import("../_util/EventInterface").MouseEventHandler>;
    };
    onMouseenter: {
        type: import("vue").PropType<import("../_util/EventInterface").MouseEventHandler>;
    };
    onMouseleave: {
        type: import("vue").PropType<import("../_util/EventInterface").MouseEventHandler>;
    };
    onClick: {
        type: import("vue").PropType<import("../_util/EventInterface").MouseEventHandler>;
    };
    onContextmenu: {
        type: import("vue").PropType<import("../_util/EventInterface").MouseEventHandler>;
    };
    onKeydown: {
        type: import("vue").PropType<(event: KeyboardEvent, preventDefault: () => void) => void>;
    };
    role: StringConstructor;
    name: StringConstructor;
    autocomplete: StringConstructor;
    direction: {
        type: import("vue").PropType<"ltr" | "rtl">;
    };
    showToday: {
        type: BooleanConstructor;
        default: any;
    };
    showTime: {
        type: import("vue").PropType<boolean | import("../vc-picker/panels/TimePanel").SharedTimeProps<Moment>>;
        default: any;
    };
    locale: {
        type: import("vue").PropType<import("./generatePicker").PickerLocale>;
    };
    size: {
        type: import("vue").PropType<import("../button").ButtonSize>;
    };
    bordered: {
        type: BooleanConstructor;
        default: any;
    };
    dateRender: {
        type: import("vue").PropType<import("../vc-picker/panels/DatePanel/DateBody").DateRender<Moment>>;
    };
    disabledDate: {
        type: import("vue").PropType<(date: Moment) => boolean>;
    };
    mode: {
        type: import("vue").PropType<import("../vc-picker/interface").PanelMode>;
    };
    picker: {
        type: import("vue").PropType<import("../vc-picker/interface").PickerMode>;
    };
    valueFormat: StringConstructor;
    disabledHours: import("vue").PropType<import("../vc-picker/interface").DisabledTimes["disabledHours"]>;
    disabledMinutes: import("vue").PropType<import("../vc-picker/interface").DisabledTimes["disabledMinutes"]>;
    disabledSeconds: import("vue").PropType<import("../vc-picker/interface").DisabledTimes["disabledSeconds"]>;
}, () => import("vue/jsx-runtime").JSX.Element, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").PublicProps, Readonly<import("vue").ExtractPropTypes<{
    defaultPickerValue: {
        type: import("vue").PropType<string | Moment>;
    };
    defaultValue: {
        type: import("vue").PropType<string | Moment>;
    };
    value: {
        type: import("vue").PropType<string | Moment>;
    };
    disabledTime: {
        type: import("vue").PropType<import("../vc-picker/interface").DisabledTime<Moment>>;
    };
    renderExtraFooter: {
        type: import("vue").PropType<(mode: import("../vc-picker/interface").PanelMode) => import("../_util/type").VueNode>;
    };
    showNow: {
        type: BooleanConstructor;
        default: any;
    };
    monthCellRender: {
        type: import("vue").PropType<import("../vc-picker/panels/MonthPanel/MonthBody").MonthCellRender<Moment>>;
    };
    monthCellContentRender: {
        type: import("vue").PropType<import("../vc-picker/panels/MonthPanel/MonthBody").MonthCellRender<Moment>>;
    };
    id: StringConstructor;
    dropdownClassName: StringConstructor;
    dropdownAlign: {
        type: import("vue").PropType<import("../vc-align/interface").AlignType>;
    };
    popupStyle: {
        type: import("vue").PropType<import("vue").CSSProperties>;
    };
    transitionName: StringConstructor;
    placeholder: StringConstructor;
    allowClear: {
        type: BooleanConstructor;
        default: any;
    };
    autofocus: {
        type: BooleanConstructor;
        default: any;
    };
    disabled: {
        type: BooleanConstructor;
        default: any;
    };
    tabindex: NumberConstructor;
    open: {
        type: BooleanConstructor;
        default: any;
    };
    defaultOpen: {
        type: BooleanConstructor;
        default: any;
    };
    inputReadOnly: {
        type: BooleanConstructor;
        default: any;
    };
    format: {
        type: import("vue").PropType<string | import("../vc-picker/interface").CustomFormat<Moment> | (string | import("../vc-picker/interface").CustomFormat<Moment>)[]>;
    };
    getPopupContainer: {
        type: import("vue").PropType<(node: HTMLElement) => HTMLElement>;
    };
    panelRender: {
        type: import("vue").PropType<(originPanel: import("../_util/type").VueNode) => import("../_util/type").VueNode>;
    };
    onChange: {
        type: import("vue").PropType<(value: string | Moment, dateString: string) => void>;
    };
    'onUpdate:value': {
        type: import("vue").PropType<(value: string | Moment) => void>;
    };
    onOk: {
        type: import("vue").PropType<(value: string | Moment) => void>;
    };
    onOpenChange: {
        type: import("vue").PropType<(open: boolean) => void>;
    };
    'onUpdate:open': {
        type: import("vue").PropType<(open: boolean) => void>;
    };
    onFocus: {
        type: import("vue").PropType<import("../_util/EventInterface").FocusEventHandler>;
    };
    onBlur: {
        type: import("vue").PropType<import("../_util/EventInterface").FocusEventHandler>;
    };
    onMousedown: {
        type: import("vue").PropType<import("../_util/EventInterface").MouseEventHandler>;
    };
    onMouseup: {
        type: import("vue").PropType<import("../_util/EventInterface").MouseEventHandler>;
    };
    onMouseenter: {
        type: import("vue").PropType<import("../_util/EventInterface").MouseEventHandler>;
    };
    onMouseleave: {
        type: import("vue").PropType<import("../_util/EventInterface").MouseEventHandler>;
    };
    onClick: {
        type: import("vue").PropType<import("../_util/EventInterface").MouseEventHandler>;
    };
    onContextmenu: {
        type: import("vue").PropType<import("../_util/EventInterface").MouseEventHandler>;
    };
    onKeydown: {
        type: import("vue").PropType<(event: KeyboardEvent, preventDefault: () => void) => void>;
    };
    role: StringConstructor;
    name: StringConstructor;
    autocomplete: StringConstructor;
    direction: {
        type: import("vue").PropType<"ltr" | "rtl">;
    };
    showToday: {
        type: BooleanConstructor;
        default: any;
    };
    showTime: {
        type: import("vue").PropType<boolean | import("../vc-picker/panels/TimePanel").SharedTimeProps<Moment>>;
        default: any;
    };
    locale: {
        type: import("vue").PropType<import("./generatePicker").PickerLocale>;
    };
    size: {
        type: import("vue").PropType<import("../button").ButtonSize>;
    };
    bordered: {
        type: BooleanConstructor;
        default: any;
    };
    dateRender: {
        type: import("vue").PropType<import("../vc-picker/panels/DatePanel/DateBody").DateRender<Moment>>;
    };
    disabledDate: {
        type: import("vue").PropType<(date: Moment) => boolean>;
    };
    mode: {
        type: import("vue").PropType<import("../vc-picker/interface").PanelMode>;
    };
    picker: {
        type: import("vue").PropType<import("../vc-picker/interface").PickerMode>;
    };
    valueFormat: StringConstructor;
    disabledHours: import("vue").PropType<import("../vc-picker/interface").DisabledTimes["disabledHours"]>;
    disabledMinutes: import("vue").PropType<import("../vc-picker/interface").DisabledTimes["disabledMinutes"]>;
    disabledSeconds: import("vue").PropType<import("../vc-picker/interface").DisabledTimes["disabledSeconds"]>;
}>>, {
    open: boolean;
    disabled: boolean;
    autofocus: boolean;
    defaultOpen: boolean;
    allowClear: boolean;
    bordered: boolean;
    showTime: any;
    showNow: boolean;
    showToday: boolean;
    inputReadOnly: boolean;
}, import("../_util/type").CustomSlotsType<{
    suffixIcon?: any;
    prevIcon?: any;
    nextIcon?: any;
    superPrevIcon?: any;
    superNextIcon?: any;
    dateRender?: any;
    renderExtraFooter?: any;
    monthCellRender?: any;
    monthCellContentRender?: any;
    clearIcon?: any;
    default?: any;
}>>, RangePicker: import("vue").DefineComponent<{
    allowEmpty: {
        type: import("vue").PropType<[boolean, boolean]>;
    };
    dateRender: {
        type: import("vue").PropType<import("../vc-picker/RangePicker").RangeDateRender<Moment>>;
    };
    defaultPickerValue: {
        type: import("vue").PropType<import("../vc-picker/interface").RangeValue<string> | import("../vc-picker/interface").RangeValue<Moment>>;
    };
    defaultValue: {
        type: import("vue").PropType<import("../vc-picker/interface").RangeValue<string> | import("../vc-picker/interface").RangeValue<Moment>>;
    };
    value: {
        type: import("vue").PropType<import("../vc-picker/interface").RangeValue<string> | import("../vc-picker/interface").RangeValue<Moment>>;
    };
    disabledTime: {
        type: import("vue").PropType<(date: Moment, type: import("../vc-picker/RangePicker").RangeType) => import("../vc-picker/interface").DisabledTimes>;
    };
    disabled: {
        type: import("vue").PropType<boolean | [boolean, boolean]>;
    };
    renderExtraFooter: {
        type: import("vue").PropType<() => import("../_util/type").VueNode>;
    };
    separator: {
        type: StringConstructor;
    };
    ranges: {
        type: import("vue").PropType<Record<string, import("../vc-picker/interface").RangeValue<Moment> | (() => import("../vc-picker/interface").RangeValue<Moment>)>>;
    };
    placeholder: ArrayConstructor;
    mode: {
        type: import("vue").PropType<[import("../vc-picker/interface").PanelMode, import("../vc-picker/interface").PanelMode]>;
    };
    onChange: {
        type: import("vue").PropType<(value: import("../vc-picker/interface").RangeValue<string> | import("../vc-picker/interface").RangeValue<Moment>, dateString: [string, string]) => void>;
    };
    'onUpdate:value': {
        type: import("vue").PropType<(value: import("../vc-picker/interface").RangeValue<string> | import("../vc-picker/interface").RangeValue<Moment>) => void>;
    };
    onCalendarChange: {
        type: import("vue").PropType<(values: import("../vc-picker/interface").RangeValue<string> | import("../vc-picker/interface").RangeValue<Moment>, formatString: [string, string], info: import("../vc-picker/RangePicker").RangeInfo) => void>;
    };
    onPanelChange: {
        type: import("vue").PropType<(values: import("../vc-picker/interface").RangeValue<string> | import("../vc-picker/interface").RangeValue<Moment>, modes: [import("../vc-picker/interface").PanelMode, import("../vc-picker/interface").PanelMode]) => void>;
    };
    onOk: {
        type: import("vue").PropType<(dates: import("../vc-picker/interface").RangeValue<string> | import("../vc-picker/interface").RangeValue<Moment>) => void>;
    };
    id: StringConstructor;
    dropdownClassName: StringConstructor;
    dropdownAlign: {
        type: import("vue").PropType<import("../vc-align/interface").AlignType>;
    };
    popupStyle: {
        type: import("vue").PropType<import("vue").CSSProperties>;
    };
    transitionName: StringConstructor;
    allowClear: {
        type: BooleanConstructor;
        default: any;
    };
    autofocus: {
        type: BooleanConstructor;
        default: any;
    };
    tabindex: NumberConstructor;
    open: {
        type: BooleanConstructor;
        default: any;
    };
    defaultOpen: {
        type: BooleanConstructor;
        default: any;
    };
    inputReadOnly: {
        type: BooleanConstructor;
        default: any;
    };
    format: {
        type: import("vue").PropType<string | import("../vc-picker/interface").CustomFormat<Moment> | (string | import("../vc-picker/interface").CustomFormat<Moment>)[]>;
    };
    getPopupContainer: {
        type: import("vue").PropType<(node: HTMLElement) => HTMLElement>;
    };
    panelRender: {
        type: import("vue").PropType<(originPanel: import("../_util/type").VueNode) => import("../_util/type").VueNode>;
    };
    onOpenChange: {
        type: import("vue").PropType<(open: boolean) => void>;
    };
    'onUpdate:open': {
        type: import("vue").PropType<(open: boolean) => void>;
    };
    onFocus: {
        type: import("vue").PropType<import("../_util/EventInterface").FocusEventHandler>;
    };
    onBlur: {
        type: import("vue").PropType<import("../_util/EventInterface").FocusEventHandler>;
    };
    onMousedown: {
        type: import("vue").PropType<import("../_util/EventInterface").MouseEventHandler>;
    };
    onMouseup: {
        type: import("vue").PropType<import("../_util/EventInterface").MouseEventHandler>;
    };
    onMouseenter: {
        type: import("vue").PropType<import("../_util/EventInterface").MouseEventHandler>;
    };
    onMouseleave: {
        type: import("vue").PropType<import("../_util/EventInterface").MouseEventHandler>;
    };
    onClick: {
        type: import("vue").PropType<import("../_util/EventInterface").MouseEventHandler>;
    };
    onContextmenu: {
        type: import("vue").PropType<import("../_util/EventInterface").MouseEventHandler>;
    };
    onKeydown: {
        type: import("vue").PropType<(event: KeyboardEvent, preventDefault: () => void) => void>;
    };
    role: StringConstructor;
    name: StringConstructor;
    autocomplete: StringConstructor;
    direction: {
        type: import("vue").PropType<"ltr" | "rtl">;
    };
    showToday: {
        type: BooleanConstructor;
        default: any;
    };
    showTime: {
        type: import("vue").PropType<boolean | import("../vc-picker/panels/TimePanel").SharedTimeProps<Moment>>;
        default: any;
    };
    locale: {
        type: import("vue").PropType<import("./generatePicker").PickerLocale>;
    };
    size: {
        type: import("vue").PropType<import("../button").ButtonSize>;
    };
    bordered: {
        type: BooleanConstructor;
        default: any;
    };
    disabledDate: {
        type: import("vue").PropType<(date: Moment) => boolean>;
    };
    picker: {
        type: import("vue").PropType<import("../vc-picker/interface").PickerMode>;
    };
    valueFormat: StringConstructor;
    disabledHours: import("vue").PropType<import("../vc-picker/interface").DisabledTimes["disabledHours"]>;
    disabledMinutes: import("vue").PropType<import("../vc-picker/interface").DisabledTimes["disabledMinutes"]>;
    disabledSeconds: import("vue").PropType<import("../vc-picker/interface").DisabledTimes["disabledSeconds"]>;
}, () => import("vue/jsx-runtime").JSX.Element, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").PublicProps, Readonly<import("vue").ExtractPropTypes<{
    allowEmpty: {
        type: import("vue").PropType<[boolean, boolean]>;
    };
    dateRender: {
        type: import("vue").PropType<import("../vc-picker/RangePicker").RangeDateRender<Moment>>;
    };
    defaultPickerValue: {
        type: import("vue").PropType<import("../vc-picker/interface").RangeValue<string> | import("../vc-picker/interface").RangeValue<Moment>>;
    };
    defaultValue: {
        type: import("vue").PropType<import("../vc-picker/interface").RangeValue<string> | import("../vc-picker/interface").RangeValue<Moment>>;
    };
    value: {
        type: import("vue").PropType<import("../vc-picker/interface").RangeValue<string> | import("../vc-picker/interface").RangeValue<Moment>>;
    };
    disabledTime: {
        type: import("vue").PropType<(date: Moment, type: import("../vc-picker/RangePicker").RangeType) => import("../vc-picker/interface").DisabledTimes>;
    };
    disabled: {
        type: import("vue").PropType<boolean | [boolean, boolean]>;
    };
    renderExtraFooter: {
        type: import("vue").PropType<() => import("../_util/type").VueNode>;
    };
    separator: {
        type: StringConstructor;
    };
    ranges: {
        type: import("vue").PropType<Record<string, import("../vc-picker/interface").RangeValue<Moment> | (() => import("../vc-picker/interface").RangeValue<Moment>)>>;
    };
    placeholder: ArrayConstructor;
    mode: {
        type: import("vue").PropType<[import("../vc-picker/interface").PanelMode, import("../vc-picker/interface").PanelMode]>;
    };
    onChange: {
        type: import("vue").PropType<(value: import("../vc-picker/interface").RangeValue<string> | import("../vc-picker/interface").RangeValue<Moment>, dateString: [string, string]) => void>;
    };
    'onUpdate:value': {
        type: import("vue").PropType<(value: import("../vc-picker/interface").RangeValue<string> | import("../vc-picker/interface").RangeValue<Moment>) => void>;
    };
    onCalendarChange: {
        type: import("vue").PropType<(values: import("../vc-picker/interface").RangeValue<string> | import("../vc-picker/interface").RangeValue<Moment>, formatString: [string, string], info: import("../vc-picker/RangePicker").RangeInfo) => void>;
    };
    onPanelChange: {
        type: import("vue").PropType<(values: import("../vc-picker/interface").RangeValue<string> | import("../vc-picker/interface").RangeValue<Moment>, modes: [import("../vc-picker/interface").PanelMode, import("../vc-picker/interface").PanelMode]) => void>;
    };
    onOk: {
        type: import("vue").PropType<(dates: import("../vc-picker/interface").RangeValue<string> | import("../vc-picker/interface").RangeValue<Moment>) => void>;
    };
    id: StringConstructor;
    dropdownClassName: StringConstructor;
    dropdownAlign: {
        type: import("vue").PropType<import("../vc-align/interface").AlignType>;
    };
    popupStyle: {
        type: import("vue").PropType<import("vue").CSSProperties>;
    };
    transitionName: StringConstructor;
    allowClear: {
        type: BooleanConstructor;
        default: any;
    };
    autofocus: {
        type: BooleanConstructor;
        default: any;
    };
    tabindex: NumberConstructor;
    open: {
        type: BooleanConstructor;
        default: any;
    };
    defaultOpen: {
        type: BooleanConstructor;
        default: any;
    };
    inputReadOnly: {
        type: BooleanConstructor;
        default: any;
    };
    format: {
        type: import("vue").PropType<string | import("../vc-picker/interface").CustomFormat<Moment> | (string | import("../vc-picker/interface").CustomFormat<Moment>)[]>;
    };
    getPopupContainer: {
        type: import("vue").PropType<(node: HTMLElement) => HTMLElement>;
    };
    panelRender: {
        type: import("vue").PropType<(originPanel: import("../_util/type").VueNode) => import("../_util/type").VueNode>;
    };
    onOpenChange: {
        type: import("vue").PropType<(open: boolean) => void>;
    };
    'onUpdate:open': {
        type: import("vue").PropType<(open: boolean) => void>;
    };
    onFocus: {
        type: import("vue").PropType<import("../_util/EventInterface").FocusEventHandler>;
    };
    onBlur: {
        type: import("vue").PropType<import("../_util/EventInterface").FocusEventHandler>;
    };
    onMousedown: {
        type: import("vue").PropType<import("../_util/EventInterface").MouseEventHandler>;
    };
    onMouseup: {
        type: import("vue").PropType<import("../_util/EventInterface").MouseEventHandler>;
    };
    onMouseenter: {
        type: import("vue").PropType<import("../_util/EventInterface").MouseEventHandler>;
    };
    onMouseleave: {
        type: import("vue").PropType<import("../_util/EventInterface").MouseEventHandler>;
    };
    onClick: {
        type: import("vue").PropType<import("../_util/EventInterface").MouseEventHandler>;
    };
    onContextmenu: {
        type: import("vue").PropType<import("../_util/EventInterface").MouseEventHandler>;
    };
    onKeydown: {
        type: import("vue").PropType<(event: KeyboardEvent, preventDefault: () => void) => void>;
    };
    role: StringConstructor;
    name: StringConstructor;
    autocomplete: StringConstructor;
    direction: {
        type: import("vue").PropType<"ltr" | "rtl">;
    };
    showToday: {
        type: BooleanConstructor;
        default: any;
    };
    showTime: {
        type: import("vue").PropType<boolean | import("../vc-picker/panels/TimePanel").SharedTimeProps<Moment>>;
        default: any;
    };
    locale: {
        type: import("vue").PropType<import("./generatePicker").PickerLocale>;
    };
    size: {
        type: import("vue").PropType<import("../button").ButtonSize>;
    };
    bordered: {
        type: BooleanConstructor;
        default: any;
    };
    disabledDate: {
        type: import("vue").PropType<(date: Moment) => boolean>;
    };
    picker: {
        type: import("vue").PropType<import("../vc-picker/interface").PickerMode>;
    };
    valueFormat: StringConstructor;
    disabledHours: import("vue").PropType<import("../vc-picker/interface").DisabledTimes["disabledHours"]>;
    disabledMinutes: import("vue").PropType<import("../vc-picker/interface").DisabledTimes["disabledMinutes"]>;
    disabledSeconds: import("vue").PropType<import("../vc-picker/interface").DisabledTimes["disabledSeconds"]>;
}>>, {
    open: boolean;
    autofocus: boolean;
    defaultOpen: boolean;
    allowClear: boolean;
    bordered: boolean;
    showTime: any;
    showToday: boolean;
    inputReadOnly: boolean;
}, import("../_util/type").CustomSlotsType<{
    suffixIcon?: any;
    prevIcon?: any;
    nextIcon?: any;
    superPrevIcon?: any;
    superNextIcon?: any;
    dateRender?: any;
    renderExtraFooter?: any;
    default?: any;
    separator?: any;
    clearIcon?: any;
}>>;
export { RangePicker, WeekPicker, MonthPicker, QuarterPicker };
declare const _default: {
    new (...args: any[]): import("vue").CreateComponentPublicInstance<Readonly<import("vue").ExtractPropTypes<{
        defaultPickerValue: {
            type: import("vue").PropType<string | Moment>;
        };
        defaultValue: {
            type: import("vue").PropType<string | Moment>;
        };
        value: {
            type: import("vue").PropType<string | Moment>;
        };
        disabledTime: {
            type: import("vue").PropType<import("../vc-picker/interface").DisabledTime<Moment>>;
        };
        renderExtraFooter: {
            type: import("vue").PropType<(mode: import("../vc-picker/interface").PanelMode) => import("../_util/type").VueNode>;
        };
        showNow: {
            type: BooleanConstructor;
            default: any;
        };
        monthCellRender: {
            type: import("vue").PropType<import("../vc-picker/panels/MonthPanel/MonthBody").MonthCellRender<Moment>>;
        };
        monthCellContentRender: {
            type: import("vue").PropType<import("../vc-picker/panels/MonthPanel/MonthBody").MonthCellRender<Moment>>;
        };
        id: StringConstructor;
        dropdownClassName: StringConstructor;
        dropdownAlign: {
            type: import("vue").PropType<import("../vc-align/interface").AlignType>;
        };
        popupStyle: {
            type: import("vue").PropType<import("vue").CSSProperties>;
        };
        transitionName: StringConstructor;
        placeholder: StringConstructor;
        allowClear: {
            type: BooleanConstructor;
            default: any;
        };
        autofocus: {
            type: BooleanConstructor;
            default: any;
        };
        disabled: {
            type: BooleanConstructor;
            default: any;
        };
        tabindex: NumberConstructor;
        open: {
            type: BooleanConstructor;
            default: any;
        };
        defaultOpen: {
            type: BooleanConstructor;
            default: any;
        };
        inputReadOnly: {
            type: BooleanConstructor;
            default: any;
        };
        format: {
            type: import("vue").PropType<string | import("../vc-picker/interface").CustomFormat<Moment> | (string | import("../vc-picker/interface").CustomFormat<Moment>)[]>;
        };
        getPopupContainer: {
            type: import("vue").PropType<(node: HTMLElement) => HTMLElement>;
        };
        panelRender: {
            type: import("vue").PropType<(originPanel: import("../_util/type").VueNode) => import("../_util/type").VueNode>;
        };
        onChange: {
            type: import("vue").PropType<(value: string | Moment, dateString: string) => void>;
        };
        'onUpdate:value': {
            type: import("vue").PropType<(value: string | Moment) => void>;
        };
        onOk: {
            type: import("vue").PropType<(value: string | Moment) => void>;
        };
        onOpenChange: {
            type: import("vue").PropType<(open: boolean) => void>;
        };
        'onUpdate:open': {
            type: import("vue").PropType<(open: boolean) => void>;
        };
        onFocus: {
            type: import("vue").PropType<import("../_util/EventInterface").FocusEventHandler>;
        };
        onBlur: {
            type: import("vue").PropType<import("../_util/EventInterface").FocusEventHandler>;
        };
        onMousedown: {
            type: import("vue").PropType<import("../_util/EventInterface").MouseEventHandler>;
        };
        onMouseup: {
            type: import("vue").PropType<import("../_util/EventInterface").MouseEventHandler>;
        };
        onMouseenter: {
            type: import("vue").PropType<import("../_util/EventInterface").MouseEventHandler>;
        };
        onMouseleave: {
            type: import("vue").PropType<import("../_util/EventInterface").MouseEventHandler>;
        };
        onClick: {
            type: import("vue").PropType<import("../_util/EventInterface").MouseEventHandler>;
        };
        onContextmenu: {
            type: import("vue").PropType<import("../_util/EventInterface").MouseEventHandler>;
        };
        onKeydown: {
            type: import("vue").PropType<(event: KeyboardEvent, preventDefault: () => void) => void>;
        };
        role: StringConstructor;
        name: StringConstructor;
        autocomplete: StringConstructor;
        direction: {
            type: import("vue").PropType<"ltr" | "rtl">;
        };
        showToday: {
            type: BooleanConstructor;
            default: any;
        };
        showTime: {
            type: import("vue").PropType<boolean | import("../vc-picker/panels/TimePanel").SharedTimeProps<Moment>>;
            default: any;
        };
        locale: {
            type: import("vue").PropType<import("./generatePicker").PickerLocale>;
        };
        size: {
            type: import("vue").PropType<import("../button").ButtonSize>;
        };
        bordered: {
            type: BooleanConstructor;
            default: any;
        };
        dateRender: {
            type: import("vue").PropType<import("../vc-picker/panels/DatePanel/DateBody").DateRender<Moment>>;
        };
        disabledDate: {
            type: import("vue").PropType<(date: Moment) => boolean>;
        };
        mode: {
            type: import("vue").PropType<import("../vc-picker/interface").PanelMode>;
        };
        picker: {
            type: import("vue").PropType<import("../vc-picker/interface").PickerMode>;
        };
        valueFormat: StringConstructor;
        disabledHours: import("vue").PropType<import("../vc-picker/interface").DisabledTimes["disabledHours"]>;
        disabledMinutes: import("vue").PropType<import("../vc-picker/interface").DisabledTimes["disabledMinutes"]>;
        disabledSeconds: import("vue").PropType<import("../vc-picker/interface").DisabledTimes["disabledSeconds"]>;
    }>>, () => import("vue/jsx-runtime").JSX.Element, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps & Readonly<import("vue").ExtractPropTypes<{
        defaultPickerValue: {
            type: import("vue").PropType<string | Moment>;
        };
        defaultValue: {
            type: import("vue").PropType<string | Moment>;
        };
        value: {
            type: import("vue").PropType<string | Moment>;
        };
        disabledTime: {
            type: import("vue").PropType<import("../vc-picker/interface").DisabledTime<Moment>>;
        };
        renderExtraFooter: {
            type: import("vue").PropType<(mode: import("../vc-picker/interface").PanelMode) => import("../_util/type").VueNode>;
        };
        showNow: {
            type: BooleanConstructor;
            default: any;
        };
        monthCellRender: {
            type: import("vue").PropType<import("../vc-picker/panels/MonthPanel/MonthBody").MonthCellRender<Moment>>;
        };
        monthCellContentRender: {
            type: import("vue").PropType<import("../vc-picker/panels/MonthPanel/MonthBody").MonthCellRender<Moment>>;
        };
        id: StringConstructor;
        dropdownClassName: StringConstructor;
        dropdownAlign: {
            type: import("vue").PropType<import("../vc-align/interface").AlignType>;
        };
        popupStyle: {
            type: import("vue").PropType<import("vue").CSSProperties>;
        };
        transitionName: StringConstructor;
        placeholder: StringConstructor;
        allowClear: {
            type: BooleanConstructor;
            default: any;
        };
        autofocus: {
            type: BooleanConstructor;
            default: any;
        };
        disabled: {
            type: BooleanConstructor;
            default: any;
        };
        tabindex: NumberConstructor;
        open: {
            type: BooleanConstructor;
            default: any;
        };
        defaultOpen: {
            type: BooleanConstructor;
            default: any;
        };
        inputReadOnly: {
            type: BooleanConstructor;
            default: any;
        };
        format: {
            type: import("vue").PropType<string | import("../vc-picker/interface").CustomFormat<Moment> | (string | import("../vc-picker/interface").CustomFormat<Moment>)[]>;
        };
        getPopupContainer: {
            type: import("vue").PropType<(node: HTMLElement) => HTMLElement>;
        };
        panelRender: {
            type: import("vue").PropType<(originPanel: import("../_util/type").VueNode) => import("../_util/type").VueNode>;
        };
        onChange: {
            type: import("vue").PropType<(value: string | Moment, dateString: string) => void>;
        };
        'onUpdate:value': {
            type: import("vue").PropType<(value: string | Moment) => void>;
        };
        onOk: {
            type: import("vue").PropType<(value: string | Moment) => void>;
        };
        onOpenChange: {
            type: import("vue").PropType<(open: boolean) => void>;
        };
        'onUpdate:open': {
            type: import("vue").PropType<(open: boolean) => void>;
        };
        onFocus: {
            type: import("vue").PropType<import("../_util/EventInterface").FocusEventHandler>;
        };
        onBlur: {
            type: import("vue").PropType<import("../_util/EventInterface").FocusEventHandler>;
        };
        onMousedown: {
            type: import("vue").PropType<import("../_util/EventInterface").MouseEventHandler>;
        };
        onMouseup: {
            type: import("vue").PropType<import("../_util/EventInterface").MouseEventHandler>;
        };
        onMouseenter: {
            type: import("vue").PropType<import("../_util/EventInterface").MouseEventHandler>;
        };
        onMouseleave: {
            type: import("vue").PropType<import("../_util/EventInterface").MouseEventHandler>;
        };
        onClick: {
            type: import("vue").PropType<import("../_util/EventInterface").MouseEventHandler>;
        };
        onContextmenu: {
            type: import("vue").PropType<import("../_util/EventInterface").MouseEventHandler>;
        };
        onKeydown: {
            type: import("vue").PropType<(event: KeyboardEvent, preventDefault: () => void) => void>;
        };
        role: StringConstructor;
        name: StringConstructor;
        autocomplete: StringConstructor;
        direction: {
            type: import("vue").PropType<"ltr" | "rtl">;
        };
        showToday: {
            type: BooleanConstructor;
            default: any;
        };
        showTime: {
            type: import("vue").PropType<boolean | import("../vc-picker/panels/TimePanel").SharedTimeProps<Moment>>;
            default: any;
        };
        locale: {
            type: import("vue").PropType<import("./generatePicker").PickerLocale>;
        };
        size: {
            type: import("vue").PropType<import("../button").ButtonSize>;
        };
        bordered: {
            type: BooleanConstructor;
            default: any;
        };
        dateRender: {
            type: import("vue").PropType<import("../vc-picker/panels/DatePanel/DateBody").DateRender<Moment>>;
        };
        disabledDate: {
            type: import("vue").PropType<(date: Moment) => boolean>;
        };
        mode: {
            type: import("vue").PropType<import("../vc-picker/interface").PanelMode>;
        };
        picker: {
            type: import("vue").PropType<import("../vc-picker/interface").PickerMode>;
        };
        valueFormat: StringConstructor;
        disabledHours: import("vue").PropType<import("../vc-picker/interface").DisabledTimes["disabledHours"]>;
        disabledMinutes: import("vue").PropType<import("../vc-picker/interface").DisabledTimes["disabledMinutes"]>;
        disabledSeconds: import("vue").PropType<import("../vc-picker/interface").DisabledTimes["disabledSeconds"]>;
    }>>, {
        open: boolean;
        disabled: boolean;
        autofocus: boolean;
        defaultOpen: boolean;
        allowClear: boolean;
        bordered: boolean;
        showTime: any;
        showNow: boolean;
        showToday: boolean;
        inputReadOnly: boolean;
    }, true, {}, import("../_util/type").CustomSlotsType<{
        suffixIcon?: any;
        prevIcon?: any;
        nextIcon?: any;
        superPrevIcon?: any;
        superNextIcon?: any;
        dateRender?: any;
        renderExtraFooter?: any;
        monthCellRender?: any;
        monthCellContentRender?: any;
        clearIcon?: any;
        default?: any;
    }>, {
        P: {};
        B: {};
        D: {};
        C: {};
        M: {};
        Defaults: {};
    }, Readonly<import("vue").ExtractPropTypes<{
        defaultPickerValue: {
            type: import("vue").PropType<string | Moment>;
        };
        defaultValue: {
            type: import("vue").PropType<string | Moment>;
        };
        value: {
            type: import("vue").PropType<string | Moment>;
        };
        disabledTime: {
            type: import("vue").PropType<import("../vc-picker/interface").DisabledTime<Moment>>;
        };
        renderExtraFooter: {
            type: import("vue").PropType<(mode: import("../vc-picker/interface").PanelMode) => import("../_util/type").VueNode>;
        };
        showNow: {
            type: BooleanConstructor;
            default: any;
        };
        monthCellRender: {
            type: import("vue").PropType<import("../vc-picker/panels/MonthPanel/MonthBody").MonthCellRender<Moment>>;
        };
        monthCellContentRender: {
            type: import("vue").PropType<import("../vc-picker/panels/MonthPanel/MonthBody").MonthCellRender<Moment>>;
        };
        id: StringConstructor;
        dropdownClassName: StringConstructor;
        dropdownAlign: {
            type: import("vue").PropType<import("../vc-align/interface").AlignType>;
        };
        popupStyle: {
            type: import("vue").PropType<import("vue").CSSProperties>;
        };
        transitionName: StringConstructor;
        placeholder: StringConstructor;
        allowClear: {
            type: BooleanConstructor;
            default: any;
        };
        autofocus: {
            type: BooleanConstructor;
            default: any;
        };
        disabled: {
            type: BooleanConstructor;
            default: any;
        };
        tabindex: NumberConstructor;
        open: {
            type: BooleanConstructor;
            default: any;
        };
        defaultOpen: {
            type: BooleanConstructor;
            default: any;
        };
        inputReadOnly: {
            type: BooleanConstructor;
            default: any;
        };
        format: {
            type: import("vue").PropType<string | import("../vc-picker/interface").CustomFormat<Moment> | (string | import("../vc-picker/interface").CustomFormat<Moment>)[]>;
        };
        getPopupContainer: {
            type: import("vue").PropType<(node: HTMLElement) => HTMLElement>;
        };
        panelRender: {
            type: import("vue").PropType<(originPanel: import("../_util/type").VueNode) => import("../_util/type").VueNode>;
        };
        onChange: {
            type: import("vue").PropType<(value: string | Moment, dateString: string) => void>;
        };
        'onUpdate:value': {
            type: import("vue").PropType<(value: string | Moment) => void>;
        };
        onOk: {
            type: import("vue").PropType<(value: string | Moment) => void>;
        };
        onOpenChange: {
            type: import("vue").PropType<(open: boolean) => void>;
        };
        'onUpdate:open': {
            type: import("vue").PropType<(open: boolean) => void>;
        };
        onFocus: {
            type: import("vue").PropType<import("../_util/EventInterface").FocusEventHandler>;
        };
        onBlur: {
            type: import("vue").PropType<import("../_util/EventInterface").FocusEventHandler>;
        };
        onMousedown: {
            type: import("vue").PropType<import("../_util/EventInterface").MouseEventHandler>;
        };
        onMouseup: {
            type: import("vue").PropType<import("../_util/EventInterface").MouseEventHandler>;
        };
        onMouseenter: {
            type: import("vue").PropType<import("../_util/EventInterface").MouseEventHandler>;
        };
        onMouseleave: {
            type: import("vue").PropType<import("../_util/EventInterface").MouseEventHandler>;
        };
        onClick: {
            type: import("vue").PropType<import("../_util/EventInterface").MouseEventHandler>;
        };
        onContextmenu: {
            type: import("vue").PropType<import("../_util/EventInterface").MouseEventHandler>;
        };
        onKeydown: {
            type: import("vue").PropType<(event: KeyboardEvent, preventDefault: () => void) => void>;
        };
        role: StringConstructor;
        name: StringConstructor;
        autocomplete: StringConstructor;
        direction: {
            type: import("vue").PropType<"ltr" | "rtl">;
        };
        showToday: {
            type: BooleanConstructor;
            default: any;
        };
        showTime: {
            type: import("vue").PropType<boolean | import("../vc-picker/panels/TimePanel").SharedTimeProps<Moment>>;
            default: any;
        };
        locale: {
            type: import("vue").PropType<import("./generatePicker").PickerLocale>;
        };
        size: {
            type: import("vue").PropType<import("../button").ButtonSize>;
        };
        bordered: {
            type: BooleanConstructor;
            default: any;
        };
        dateRender: {
            type: import("vue").PropType<import("../vc-picker/panels/DatePanel/DateBody").DateRender<Moment>>;
        };
        disabledDate: {
            type: import("vue").PropType<(date: Moment) => boolean>;
        };
        mode: {
            type: import("vue").PropType<import("../vc-picker/interface").PanelMode>;
        };
        picker: {
            type: import("vue").PropType<import("../vc-picker/interface").PickerMode>;
        };
        valueFormat: StringConstructor;
        disabledHours: import("vue").PropType<import("../vc-picker/interface").DisabledTimes["disabledHours"]>;
        disabledMinutes: import("vue").PropType<import("../vc-picker/interface").DisabledTimes["disabledMinutes"]>;
        disabledSeconds: import("vue").PropType<import("../vc-picker/interface").DisabledTimes["disabledSeconds"]>;
    }>>, () => import("vue/jsx-runtime").JSX.Element, {}, {}, {}, {
        open: boolean;
        disabled: boolean;
        autofocus: boolean;
        defaultOpen: boolean;
        allowClear: boolean;
        bordered: boolean;
        showTime: any;
        showNow: boolean;
        showToday: boolean;
        inputReadOnly: boolean;
    }>;
    __isFragment?: never;
    __isTeleport?: never;
    __isSuspense?: never;
} & import("vue").ComponentOptionsBase<Readonly<import("vue").ExtractPropTypes<{
    defaultPickerValue: {
        type: import("vue").PropType<string | Moment>;
    };
    defaultValue: {
        type: import("vue").PropType<string | Moment>;
    };
    value: {
        type: import("vue").PropType<string | Moment>;
    };
    disabledTime: {
        type: import("vue").PropType<import("../vc-picker/interface").DisabledTime<Moment>>;
    };
    renderExtraFooter: {
        type: import("vue").PropType<(mode: import("../vc-picker/interface").PanelMode) => import("../_util/type").VueNode>;
    };
    showNow: {
        type: BooleanConstructor;
        default: any;
    };
    monthCellRender: {
        type: import("vue").PropType<import("../vc-picker/panels/MonthPanel/MonthBody").MonthCellRender<Moment>>;
    };
    monthCellContentRender: {
        type: import("vue").PropType<import("../vc-picker/panels/MonthPanel/MonthBody").MonthCellRender<Moment>>;
    };
    id: StringConstructor;
    dropdownClassName: StringConstructor;
    dropdownAlign: {
        type: import("vue").PropType<import("../vc-align/interface").AlignType>;
    };
    popupStyle: {
        type: import("vue").PropType<import("vue").CSSProperties>;
    };
    transitionName: StringConstructor;
    placeholder: StringConstructor;
    allowClear: {
        type: BooleanConstructor;
        default: any;
    };
    autofocus: {
        type: BooleanConstructor;
        default: any;
    };
    disabled: {
        type: BooleanConstructor;
        default: any;
    };
    tabindex: NumberConstructor;
    open: {
        type: BooleanConstructor;
        default: any;
    };
    defaultOpen: {
        type: BooleanConstructor;
        default: any;
    };
    inputReadOnly: {
        type: BooleanConstructor;
        default: any;
    };
    format: {
        type: import("vue").PropType<string | import("../vc-picker/interface").CustomFormat<Moment> | (string | import("../vc-picker/interface").CustomFormat<Moment>)[]>;
    };
    getPopupContainer: {
        type: import("vue").PropType<(node: HTMLElement) => HTMLElement>;
    };
    panelRender: {
        type: import("vue").PropType<(originPanel: import("../_util/type").VueNode) => import("../_util/type").VueNode>;
    };
    onChange: {
        type: import("vue").PropType<(value: string | Moment, dateString: string) => void>;
    };
    'onUpdate:value': {
        type: import("vue").PropType<(value: string | Moment) => void>;
    };
    onOk: {
        type: import("vue").PropType<(value: string | Moment) => void>;
    };
    onOpenChange: {
        type: import("vue").PropType<(open: boolean) => void>;
    };
    'onUpdate:open': {
        type: import("vue").PropType<(open: boolean) => void>;
    };
    onFocus: {
        type: import("vue").PropType<import("../_util/EventInterface").FocusEventHandler>;
    };
    onBlur: {
        type: import("vue").PropType<import("../_util/EventInterface").FocusEventHandler>;
    };
    onMousedown: {
        type: import("vue").PropType<import("../_util/EventInterface").MouseEventHandler>;
    };
    onMouseup: {
        type: import("vue").PropType<import("../_util/EventInterface").MouseEventHandler>;
    };
    onMouseenter: {
        type: import("vue").PropType<import("../_util/EventInterface").MouseEventHandler>;
    };
    onMouseleave: {
        type: import("vue").PropType<import("../_util/EventInterface").MouseEventHandler>;
    };
    onClick: {
        type: import("vue").PropType<import("../_util/EventInterface").MouseEventHandler>;
    };
    onContextmenu: {
        type: import("vue").PropType<import("../_util/EventInterface").MouseEventHandler>;
    };
    onKeydown: {
        type: import("vue").PropType<(event: KeyboardEvent, preventDefault: () => void) => void>;
    };
    role: StringConstructor;
    name: StringConstructor;
    autocomplete: StringConstructor;
    direction: {
        type: import("vue").PropType<"ltr" | "rtl">;
    };
    showToday: {
        type: BooleanConstructor;
        default: any;
    };
    showTime: {
        type: import("vue").PropType<boolean | import("../vc-picker/panels/TimePanel").SharedTimeProps<Moment>>;
        default: any;
    };
    locale: {
        type: import("vue").PropType<import("./generatePicker").PickerLocale>;
    };
    size: {
        type: import("vue").PropType<import("../button").ButtonSize>;
    };
    bordered: {
        type: BooleanConstructor;
        default: any;
    };
    dateRender: {
        type: import("vue").PropType<import("../vc-picker/panels/DatePanel/DateBody").DateRender<Moment>>;
    };
    disabledDate: {
        type: import("vue").PropType<(date: Moment) => boolean>;
    };
    mode: {
        type: import("vue").PropType<import("../vc-picker/interface").PanelMode>;
    };
    picker: {
        type: import("vue").PropType<import("../vc-picker/interface").PickerMode>;
    };
    valueFormat: StringConstructor;
    disabledHours: import("vue").PropType<import("../vc-picker/interface").DisabledTimes["disabledHours"]>;
    disabledMinutes: import("vue").PropType<import("../vc-picker/interface").DisabledTimes["disabledMinutes"]>;
    disabledSeconds: import("vue").PropType<import("../vc-picker/interface").DisabledTimes["disabledSeconds"]>;
}>>, () => import("vue/jsx-runtime").JSX.Element, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, {
    open: boolean;
    disabled: boolean;
    autofocus: boolean;
    defaultOpen: boolean;
    allowClear: boolean;
    bordered: boolean;
    showTime: any;
    showNow: boolean;
    showToday: boolean;
    inputReadOnly: boolean;
}, {}, string, import("../_util/type").CustomSlotsType<{
    suffixIcon?: any;
    prevIcon?: any;
    nextIcon?: any;
    superPrevIcon?: any;
    superNextIcon?: any;
    dateRender?: any;
    renderExtraFooter?: any;
    monthCellRender?: any;
    monthCellContentRender?: any;
    clearIcon?: any;
    default?: any;
}>> & import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps & {
    WeekPicker: import("vue").DefineComponent<{
        defaultPickerValue: {
            type: import("vue").PropType<string | Moment>;
        };
        defaultValue: {
            type: import("vue").PropType<string | Moment>;
        };
        value: {
            type: import("vue").PropType<string | Moment>;
        };
        disabledTime: {
            type: import("vue").PropType<import("../vc-picker/interface").DisabledTime<Moment>>;
        };
        renderExtraFooter: {
            type: import("vue").PropType<(mode: import("../vc-picker/interface").PanelMode) => import("../_util/type").VueNode>;
        };
        showNow: {
            type: BooleanConstructor;
            default: any;
        };
        monthCellRender: {
            type: import("vue").PropType<import("../vc-picker/panels/MonthPanel/MonthBody").MonthCellRender<Moment>>;
        };
        monthCellContentRender: {
            type: import("vue").PropType<import("../vc-picker/panels/MonthPanel/MonthBody").MonthCellRender<Moment>>;
        };
        id: StringConstructor;
        dropdownClassName: StringConstructor;
        dropdownAlign: {
            type: import("vue").PropType<import("../vc-align/interface").AlignType>;
        };
        popupStyle: {
            type: import("vue").PropType<import("vue").CSSProperties>;
        };
        transitionName: StringConstructor;
        placeholder: StringConstructor;
        allowClear: {
            type: BooleanConstructor;
            default: any;
        };
        autofocus: {
            type: BooleanConstructor;
            default: any;
        };
        disabled: {
            type: BooleanConstructor;
            default: any;
        };
        tabindex: NumberConstructor;
        open: {
            type: BooleanConstructor;
            default: any;
        };
        defaultOpen: {
            type: BooleanConstructor;
            default: any;
        };
        inputReadOnly: {
            type: BooleanConstructor;
            default: any;
        };
        format: {
            type: import("vue").PropType<string | import("../vc-picker/interface").CustomFormat<Moment> | (string | import("../vc-picker/interface").CustomFormat<Moment>)[]>;
        };
        getPopupContainer: {
            type: import("vue").PropType<(node: HTMLElement) => HTMLElement>;
        };
        panelRender: {
            type: import("vue").PropType<(originPanel: import("../_util/type").VueNode) => import("../_util/type").VueNode>;
        };
        onChange: {
            type: import("vue").PropType<(value: string | Moment, dateString: string) => void>;
        };
        'onUpdate:value': {
            type: import("vue").PropType<(value: string | Moment) => void>;
        };
        onOk: {
            type: import("vue").PropType<(value: string | Moment) => void>;
        };
        onOpenChange: {
            type: import("vue").PropType<(open: boolean) => void>;
        };
        'onUpdate:open': {
            type: import("vue").PropType<(open: boolean) => void>;
        };
        onFocus: {
            type: import("vue").PropType<import("../_util/EventInterface").FocusEventHandler>;
        };
        onBlur: {
            type: import("vue").PropType<import("../_util/EventInterface").FocusEventHandler>;
        };
        onMousedown: {
            type: import("vue").PropType<import("../_util/EventInterface").MouseEventHandler>;
        };
        onMouseup: {
            type: import("vue").PropType<import("../_util/EventInterface").MouseEventHandler>;
        };
        onMouseenter: {
            type: import("vue").PropType<import("../_util/EventInterface").MouseEventHandler>;
        };
        onMouseleave: {
            type: import("vue").PropType<import("../_util/EventInterface").MouseEventHandler>;
        };
        onClick: {
            type: import("vue").PropType<import("../_util/EventInterface").MouseEventHandler>;
        };
        onContextmenu: {
            type: import("vue").PropType<import("../_util/EventInterface").MouseEventHandler>;
        };
        onKeydown: {
            type: import("vue").PropType<(event: KeyboardEvent, preventDefault: () => void) => void>;
        };
        role: StringConstructor;
        name: StringConstructor;
        autocomplete: StringConstructor;
        direction: {
            type: import("vue").PropType<"ltr" | "rtl">;
        };
        showToday: {
            type: BooleanConstructor;
            default: any;
        };
        showTime: {
            type: import("vue").PropType<boolean | import("../vc-picker/panels/TimePanel").SharedTimeProps<Moment>>;
            default: any;
        };
        locale: {
            type: import("vue").PropType<import("./generatePicker").PickerLocale>;
        };
        size: {
            type: import("vue").PropType<import("../button").ButtonSize>;
        };
        bordered: {
            type: BooleanConstructor;
            default: any;
        };
        dateRender: {
            type: import("vue").PropType<import("../vc-picker/panels/DatePanel/DateBody").DateRender<Moment>>;
        };
        disabledDate: {
            type: import("vue").PropType<(date: Moment) => boolean>;
        };
        mode: {
            type: import("vue").PropType<import("../vc-picker/interface").PanelMode>;
        };
        picker: {
            type: import("vue").PropType<import("../vc-picker/interface").PickerMode>;
        };
        valueFormat: StringConstructor;
        disabledHours: import("vue").PropType<import("../vc-picker/interface").DisabledTimes["disabledHours"]>;
        disabledMinutes: import("vue").PropType<import("../vc-picker/interface").DisabledTimes["disabledMinutes"]>;
        disabledSeconds: import("vue").PropType<import("../vc-picker/interface").DisabledTimes["disabledSeconds"]>;
    }, () => import("vue/jsx-runtime").JSX.Element, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").PublicProps, Readonly<import("vue").ExtractPropTypes<{
        defaultPickerValue: {
            type: import("vue").PropType<string | Moment>;
        };
        defaultValue: {
            type: import("vue").PropType<string | Moment>;
        };
        value: {
            type: import("vue").PropType<string | Moment>;
        };
        disabledTime: {
            type: import("vue").PropType<import("../vc-picker/interface").DisabledTime<Moment>>;
        };
        renderExtraFooter: {
            type: import("vue").PropType<(mode: import("../vc-picker/interface").PanelMode) => import("../_util/type").VueNode>;
        };
        showNow: {
            type: BooleanConstructor;
            default: any;
        };
        monthCellRender: {
            type: import("vue").PropType<import("../vc-picker/panels/MonthPanel/MonthBody").MonthCellRender<Moment>>;
        };
        monthCellContentRender: {
            type: import("vue").PropType<import("../vc-picker/panels/MonthPanel/MonthBody").MonthCellRender<Moment>>;
        };
        id: StringConstructor;
        dropdownClassName: StringConstructor;
        dropdownAlign: {
            type: import("vue").PropType<import("../vc-align/interface").AlignType>;
        };
        popupStyle: {
            type: import("vue").PropType<import("vue").CSSProperties>;
        };
        transitionName: StringConstructor;
        placeholder: StringConstructor;
        allowClear: {
            type: BooleanConstructor;
            default: any;
        };
        autofocus: {
            type: BooleanConstructor;
            default: any;
        };
        disabled: {
            type: BooleanConstructor;
            default: any;
        };
        tabindex: NumberConstructor;
        open: {
            type: BooleanConstructor;
            default: any;
        };
        defaultOpen: {
            type: BooleanConstructor;
            default: any;
        };
        inputReadOnly: {
            type: BooleanConstructor;
            default: any;
        };
        format: {
            type: import("vue").PropType<string | import("../vc-picker/interface").CustomFormat<Moment> | (string | import("../vc-picker/interface").CustomFormat<Moment>)[]>;
        };
        getPopupContainer: {
            type: import("vue").PropType<(node: HTMLElement) => HTMLElement>;
        };
        panelRender: {
            type: import("vue").PropType<(originPanel: import("../_util/type").VueNode) => import("../_util/type").VueNode>;
        };
        onChange: {
            type: import("vue").PropType<(value: string | Moment, dateString: string) => void>;
        };
        'onUpdate:value': {
            type: import("vue").PropType<(value: string | Moment) => void>;
        };
        onOk: {
            type: import("vue").PropType<(value: string | Moment) => void>;
        };
        onOpenChange: {
            type: import("vue").PropType<(open: boolean) => void>;
        };
        'onUpdate:open': {
            type: import("vue").PropType<(open: boolean) => void>;
        };
        onFocus: {
            type: import("vue").PropType<import("../_util/EventInterface").FocusEventHandler>;
        };
        onBlur: {
            type: import("vue").PropType<import("../_util/EventInterface").FocusEventHandler>;
        };
        onMousedown: {
            type: import("vue").PropType<import("../_util/EventInterface").MouseEventHandler>;
        };
        onMouseup: {
            type: import("vue").PropType<import("../_util/EventInterface").MouseEventHandler>;
        };
        onMouseenter: {
            type: import("vue").PropType<import("../_util/EventInterface").MouseEventHandler>;
        };
        onMouseleave: {
            type: import("vue").PropType<import("../_util/EventInterface").MouseEventHandler>;
        };
        onClick: {
            type: import("vue").PropType<import("../_util/EventInterface").MouseEventHandler>;
        };
        onContextmenu: {
            type: import("vue").PropType<import("../_util/EventInterface").MouseEventHandler>;
        };
        onKeydown: {
            type: import("vue").PropType<(event: KeyboardEvent, preventDefault: () => void) => void>;
        };
        role: StringConstructor;
        name: StringConstructor;
        autocomplete: StringConstructor;
        direction: {
            type: import("vue").PropType<"ltr" | "rtl">;
        };
        showToday: {
            type: BooleanConstructor;
            default: any;
        };
        showTime: {
            type: import("vue").PropType<boolean | import("../vc-picker/panels/TimePanel").SharedTimeProps<Moment>>;
            default: any;
        };
        locale: {
            type: import("vue").PropType<import("./generatePicker").PickerLocale>;
        };
        size: {
            type: import("vue").PropType<import("../button").ButtonSize>;
        };
        bordered: {
            type: BooleanConstructor;
            default: any;
        };
        dateRender: {
            type: import("vue").PropType<import("../vc-picker/panels/DatePanel/DateBody").DateRender<Moment>>;
        };
        disabledDate: {
            type: import("vue").PropType<(date: Moment) => boolean>;
        };
        mode: {
            type: import("vue").PropType<import("../vc-picker/interface").PanelMode>;
        };
        picker: {
            type: import("vue").PropType<import("../vc-picker/interface").PickerMode>;
        };
        valueFormat: StringConstructor;
        disabledHours: import("vue").PropType<import("../vc-picker/interface").DisabledTimes["disabledHours"]>;
        disabledMinutes: import("vue").PropType<import("../vc-picker/interface").DisabledTimes["disabledMinutes"]>;
        disabledSeconds: import("vue").PropType<import("../vc-picker/interface").DisabledTimes["disabledSeconds"]>;
    }>>, {
        open: boolean;
        disabled: boolean;
        autofocus: boolean;
        defaultOpen: boolean;
        allowClear: boolean;
        bordered: boolean;
        showTime: any;
        showNow: boolean;
        showToday: boolean;
        inputReadOnly: boolean;
    }, import("../_util/type").CustomSlotsType<{
        suffixIcon?: any;
        prevIcon?: any;
        nextIcon?: any;
        superPrevIcon?: any;
        superNextIcon?: any;
        dateRender?: any;
        renderExtraFooter?: any;
        monthCellRender?: any;
        monthCellContentRender?: any;
        clearIcon?: any;
        default?: any;
    }>>;
    MonthPicker: import("vue").DefineComponent<{
        defaultPickerValue: {
            type: import("vue").PropType<string | Moment>;
        };
        defaultValue: {
            type: import("vue").PropType<string | Moment>;
        };
        value: {
            type: import("vue").PropType<string | Moment>;
        };
        disabledTime: {
            type: import("vue").PropType<import("../vc-picker/interface").DisabledTime<Moment>>;
        };
        renderExtraFooter: {
            type: import("vue").PropType<(mode: import("../vc-picker/interface").PanelMode) => import("../_util/type").VueNode>;
        };
        showNow: {
            type: BooleanConstructor;
            default: any;
        };
        monthCellRender: {
            type: import("vue").PropType<import("../vc-picker/panels/MonthPanel/MonthBody").MonthCellRender<Moment>>;
        };
        monthCellContentRender: {
            type: import("vue").PropType<import("../vc-picker/panels/MonthPanel/MonthBody").MonthCellRender<Moment>>;
        };
        id: StringConstructor;
        dropdownClassName: StringConstructor;
        dropdownAlign: {
            type: import("vue").PropType<import("../vc-align/interface").AlignType>;
        };
        popupStyle: {
            type: import("vue").PropType<import("vue").CSSProperties>;
        };
        transitionName: StringConstructor;
        placeholder: StringConstructor;
        allowClear: {
            type: BooleanConstructor;
            default: any;
        };
        autofocus: {
            type: BooleanConstructor;
            default: any;
        };
        disabled: {
            type: BooleanConstructor;
            default: any;
        };
        tabindex: NumberConstructor;
        open: {
            type: BooleanConstructor;
            default: any;
        };
        defaultOpen: {
            type: BooleanConstructor;
            default: any;
        };
        inputReadOnly: {
            type: BooleanConstructor;
            default: any;
        };
        format: {
            type: import("vue").PropType<string | import("../vc-picker/interface").CustomFormat<Moment> | (string | import("../vc-picker/interface").CustomFormat<Moment>)[]>;
        };
        getPopupContainer: {
            type: import("vue").PropType<(node: HTMLElement) => HTMLElement>;
        };
        panelRender: {
            type: import("vue").PropType<(originPanel: import("../_util/type").VueNode) => import("../_util/type").VueNode>;
        };
        onChange: {
            type: import("vue").PropType<(value: string | Moment, dateString: string) => void>;
        };
        'onUpdate:value': {
            type: import("vue").PropType<(value: string | Moment) => void>;
        };
        onOk: {
            type: import("vue").PropType<(value: string | Moment) => void>;
        };
        onOpenChange: {
            type: import("vue").PropType<(open: boolean) => void>;
        };
        'onUpdate:open': {
            type: import("vue").PropType<(open: boolean) => void>;
        };
        onFocus: {
            type: import("vue").PropType<import("../_util/EventInterface").FocusEventHandler>;
        };
        onBlur: {
            type: import("vue").PropType<import("../_util/EventInterface").FocusEventHandler>;
        };
        onMousedown: {
            type: import("vue").PropType<import("../_util/EventInterface").MouseEventHandler>;
        };
        onMouseup: {
            type: import("vue").PropType<import("../_util/EventInterface").MouseEventHandler>;
        };
        onMouseenter: {
            type: import("vue").PropType<import("../_util/EventInterface").MouseEventHandler>;
        };
        onMouseleave: {
            type: import("vue").PropType<import("../_util/EventInterface").MouseEventHandler>;
        };
        onClick: {
            type: import("vue").PropType<import("../_util/EventInterface").MouseEventHandler>;
        };
        onContextmenu: {
            type: import("vue").PropType<import("../_util/EventInterface").MouseEventHandler>;
        };
        onKeydown: {
            type: import("vue").PropType<(event: KeyboardEvent, preventDefault: () => void) => void>;
        };
        role: StringConstructor;
        name: StringConstructor;
        autocomplete: StringConstructor;
        direction: {
            type: import("vue").PropType<"ltr" | "rtl">;
        };
        showToday: {
            type: BooleanConstructor;
            default: any;
        };
        showTime: {
            type: import("vue").PropType<boolean | import("../vc-picker/panels/TimePanel").SharedTimeProps<Moment>>;
            default: any;
        };
        locale: {
            type: import("vue").PropType<import("./generatePicker").PickerLocale>;
        };
        size: {
            type: import("vue").PropType<import("../button").ButtonSize>;
        };
        bordered: {
            type: BooleanConstructor;
            default: any;
        };
        dateRender: {
            type: import("vue").PropType<import("../vc-picker/panels/DatePanel/DateBody").DateRender<Moment>>;
        };
        disabledDate: {
            type: import("vue").PropType<(date: Moment) => boolean>;
        };
        mode: {
            type: import("vue").PropType<import("../vc-picker/interface").PanelMode>;
        };
        picker: {
            type: import("vue").PropType<import("../vc-picker/interface").PickerMode>;
        };
        valueFormat: StringConstructor;
        disabledHours: import("vue").PropType<import("../vc-picker/interface").DisabledTimes["disabledHours"]>;
        disabledMinutes: import("vue").PropType<import("../vc-picker/interface").DisabledTimes["disabledMinutes"]>;
        disabledSeconds: import("vue").PropType<import("../vc-picker/interface").DisabledTimes["disabledSeconds"]>;
    }, () => import("vue/jsx-runtime").JSX.Element, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").PublicProps, Readonly<import("vue").ExtractPropTypes<{
        defaultPickerValue: {
            type: import("vue").PropType<string | Moment>;
        };
        defaultValue: {
            type: import("vue").PropType<string | Moment>;
        };
        value: {
            type: import("vue").PropType<string | Moment>;
        };
        disabledTime: {
            type: import("vue").PropType<import("../vc-picker/interface").DisabledTime<Moment>>;
        };
        renderExtraFooter: {
            type: import("vue").PropType<(mode: import("../vc-picker/interface").PanelMode) => import("../_util/type").VueNode>;
        };
        showNow: {
            type: BooleanConstructor;
            default: any;
        };
        monthCellRender: {
            type: import("vue").PropType<import("../vc-picker/panels/MonthPanel/MonthBody").MonthCellRender<Moment>>;
        };
        monthCellContentRender: {
            type: import("vue").PropType<import("../vc-picker/panels/MonthPanel/MonthBody").MonthCellRender<Moment>>;
        };
        id: StringConstructor;
        dropdownClassName: StringConstructor;
        dropdownAlign: {
            type: import("vue").PropType<import("../vc-align/interface").AlignType>;
        };
        popupStyle: {
            type: import("vue").PropType<import("vue").CSSProperties>;
        };
        transitionName: StringConstructor;
        placeholder: StringConstructor;
        allowClear: {
            type: BooleanConstructor;
            default: any;
        };
        autofocus: {
            type: BooleanConstructor;
            default: any;
        };
        disabled: {
            type: BooleanConstructor;
            default: any;
        };
        tabindex: NumberConstructor;
        open: {
            type: BooleanConstructor;
            default: any;
        };
        defaultOpen: {
            type: BooleanConstructor;
            default: any;
        };
        inputReadOnly: {
            type: BooleanConstructor;
            default: any;
        };
        format: {
            type: import("vue").PropType<string | import("../vc-picker/interface").CustomFormat<Moment> | (string | import("../vc-picker/interface").CustomFormat<Moment>)[]>;
        };
        getPopupContainer: {
            type: import("vue").PropType<(node: HTMLElement) => HTMLElement>;
        };
        panelRender: {
            type: import("vue").PropType<(originPanel: import("../_util/type").VueNode) => import("../_util/type").VueNode>;
        };
        onChange: {
            type: import("vue").PropType<(value: string | Moment, dateString: string) => void>;
        };
        'onUpdate:value': {
            type: import("vue").PropType<(value: string | Moment) => void>;
        };
        onOk: {
            type: import("vue").PropType<(value: string | Moment) => void>;
        };
        onOpenChange: {
            type: import("vue").PropType<(open: boolean) => void>;
        };
        'onUpdate:open': {
            type: import("vue").PropType<(open: boolean) => void>;
        };
        onFocus: {
            type: import("vue").PropType<import("../_util/EventInterface").FocusEventHandler>;
        };
        onBlur: {
            type: import("vue").PropType<import("../_util/EventInterface").FocusEventHandler>;
        };
        onMousedown: {
            type: import("vue").PropType<import("../_util/EventInterface").MouseEventHandler>;
        };
        onMouseup: {
            type: import("vue").PropType<import("../_util/EventInterface").MouseEventHandler>;
        };
        onMouseenter: {
            type: import("vue").PropType<import("../_util/EventInterface").MouseEventHandler>;
        };
        onMouseleave: {
            type: import("vue").PropType<import("../_util/EventInterface").MouseEventHandler>;
        };
        onClick: {
            type: import("vue").PropType<import("../_util/EventInterface").MouseEventHandler>;
        };
        onContextmenu: {
            type: import("vue").PropType<import("../_util/EventInterface").MouseEventHandler>;
        };
        onKeydown: {
            type: import("vue").PropType<(event: KeyboardEvent, preventDefault: () => void) => void>;
        };
        role: StringConstructor;
        name: StringConstructor;
        autocomplete: StringConstructor;
        direction: {
            type: import("vue").PropType<"ltr" | "rtl">;
        };
        showToday: {
            type: BooleanConstructor;
            default: any;
        };
        showTime: {
            type: import("vue").PropType<boolean | import("../vc-picker/panels/TimePanel").SharedTimeProps<Moment>>;
            default: any;
        };
        locale: {
            type: import("vue").PropType<import("./generatePicker").PickerLocale>;
        };
        size: {
            type: import("vue").PropType<import("../button").ButtonSize>;
        };
        bordered: {
            type: BooleanConstructor;
            default: any;
        };
        dateRender: {
            type: import("vue").PropType<import("../vc-picker/panels/DatePanel/DateBody").DateRender<Moment>>;
        };
        disabledDate: {
            type: import("vue").PropType<(date: Moment) => boolean>;
        };
        mode: {
            type: import("vue").PropType<import("../vc-picker/interface").PanelMode>;
        };
        picker: {
            type: import("vue").PropType<import("../vc-picker/interface").PickerMode>;
        };
        valueFormat: StringConstructor;
        disabledHours: import("vue").PropType<import("../vc-picker/interface").DisabledTimes["disabledHours"]>;
        disabledMinutes: import("vue").PropType<import("../vc-picker/interface").DisabledTimes["disabledMinutes"]>;
        disabledSeconds: import("vue").PropType<import("../vc-picker/interface").DisabledTimes["disabledSeconds"]>;
    }>>, {
        open: boolean;
        disabled: boolean;
        autofocus: boolean;
        defaultOpen: boolean;
        allowClear: boolean;
        bordered: boolean;
        showTime: any;
        showNow: boolean;
        showToday: boolean;
        inputReadOnly: boolean;
    }, import("../_util/type").CustomSlotsType<{
        suffixIcon?: any;
        prevIcon?: any;
        nextIcon?: any;
        superPrevIcon?: any;
        superNextIcon?: any;
        dateRender?: any;
        renderExtraFooter?: any;
        monthCellRender?: any;
        monthCellContentRender?: any;
        clearIcon?: any;
        default?: any;
    }>>;
    YearPicker: import("vue").DefineComponent<{
        defaultPickerValue: {
            type: import("vue").PropType<string | Moment>;
        };
        defaultValue: {
            type: import("vue").PropType<string | Moment>;
        };
        value: {
            type: import("vue").PropType<string | Moment>;
        };
        disabledTime: {
            type: import("vue").PropType<import("../vc-picker/interface").DisabledTime<Moment>>;
        };
        renderExtraFooter: {
            type: import("vue").PropType<(mode: import("../vc-picker/interface").PanelMode) => import("../_util/type").VueNode>;
        };
        showNow: {
            type: BooleanConstructor;
            default: any;
        };
        monthCellRender: {
            type: import("vue").PropType<import("../vc-picker/panels/MonthPanel/MonthBody").MonthCellRender<Moment>>;
        };
        monthCellContentRender: {
            type: import("vue").PropType<import("../vc-picker/panels/MonthPanel/MonthBody").MonthCellRender<Moment>>;
        };
        id: StringConstructor;
        dropdownClassName: StringConstructor;
        dropdownAlign: {
            type: import("vue").PropType<import("../vc-align/interface").AlignType>;
        };
        popupStyle: {
            type: import("vue").PropType<import("vue").CSSProperties>;
        };
        transitionName: StringConstructor;
        placeholder: StringConstructor;
        allowClear: {
            type: BooleanConstructor;
            default: any;
        };
        autofocus: {
            type: BooleanConstructor;
            default: any;
        };
        disabled: {
            type: BooleanConstructor;
            default: any;
        };
        tabindex: NumberConstructor;
        open: {
            type: BooleanConstructor;
            default: any;
        };
        defaultOpen: {
            type: BooleanConstructor;
            default: any;
        };
        inputReadOnly: {
            type: BooleanConstructor;
            default: any;
        };
        format: {
            type: import("vue").PropType<string | import("../vc-picker/interface").CustomFormat<Moment> | (string | import("../vc-picker/interface").CustomFormat<Moment>)[]>;
        };
        getPopupContainer: {
            type: import("vue").PropType<(node: HTMLElement) => HTMLElement>;
        };
        panelRender: {
            type: import("vue").PropType<(originPanel: import("../_util/type").VueNode) => import("../_util/type").VueNode>;
        };
        onChange: {
            type: import("vue").PropType<(value: string | Moment, dateString: string) => void>;
        };
        'onUpdate:value': {
            type: import("vue").PropType<(value: string | Moment) => void>;
        };
        onOk: {
            type: import("vue").PropType<(value: string | Moment) => void>;
        };
        onOpenChange: {
            type: import("vue").PropType<(open: boolean) => void>;
        };
        'onUpdate:open': {
            type: import("vue").PropType<(open: boolean) => void>;
        };
        onFocus: {
            type: import("vue").PropType<import("../_util/EventInterface").FocusEventHandler>;
        };
        onBlur: {
            type: import("vue").PropType<import("../_util/EventInterface").FocusEventHandler>;
        };
        onMousedown: {
            type: import("vue").PropType<import("../_util/EventInterface").MouseEventHandler>;
        };
        onMouseup: {
            type: import("vue").PropType<import("../_util/EventInterface").MouseEventHandler>;
        };
        onMouseenter: {
            type: import("vue").PropType<import("../_util/EventInterface").MouseEventHandler>;
        };
        onMouseleave: {
            type: import("vue").PropType<import("../_util/EventInterface").MouseEventHandler>;
        };
        onClick: {
            type: import("vue").PropType<import("../_util/EventInterface").MouseEventHandler>;
        };
        onContextmenu: {
            type: import("vue").PropType<import("../_util/EventInterface").MouseEventHandler>;
        };
        onKeydown: {
            type: import("vue").PropType<(event: KeyboardEvent, preventDefault: () => void) => void>;
        };
        role: StringConstructor;
        name: StringConstructor;
        autocomplete: StringConstructor;
        direction: {
            type: import("vue").PropType<"ltr" | "rtl">;
        };
        showToday: {
            type: BooleanConstructor;
            default: any;
        };
        showTime: {
            type: import("vue").PropType<boolean | import("../vc-picker/panels/TimePanel").SharedTimeProps<Moment>>;
            default: any;
        };
        locale: {
            type: import("vue").PropType<import("./generatePicker").PickerLocale>;
        };
        size: {
            type: import("vue").PropType<import("../button").ButtonSize>;
        };
        bordered: {
            type: BooleanConstructor;
            default: any;
        };
        dateRender: {
            type: import("vue").PropType<import("../vc-picker/panels/DatePanel/DateBody").DateRender<Moment>>;
        };
        disabledDate: {
            type: import("vue").PropType<(date: Moment) => boolean>;
        };
        mode: {
            type: import("vue").PropType<import("../vc-picker/interface").PanelMode>;
        };
        picker: {
            type: import("vue").PropType<import("../vc-picker/interface").PickerMode>;
        };
        valueFormat: StringConstructor;
        disabledHours: import("vue").PropType<import("../vc-picker/interface").DisabledTimes["disabledHours"]>;
        disabledMinutes: import("vue").PropType<import("../vc-picker/interface").DisabledTimes["disabledMinutes"]>;
        disabledSeconds: import("vue").PropType<import("../vc-picker/interface").DisabledTimes["disabledSeconds"]>;
    }, () => import("vue/jsx-runtime").JSX.Element, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").PublicProps, Readonly<import("vue").ExtractPropTypes<{
        defaultPickerValue: {
            type: import("vue").PropType<string | Moment>;
        };
        defaultValue: {
            type: import("vue").PropType<string | Moment>;
        };
        value: {
            type: import("vue").PropType<string | Moment>;
        };
        disabledTime: {
            type: import("vue").PropType<import("../vc-picker/interface").DisabledTime<Moment>>;
        };
        renderExtraFooter: {
            type: import("vue").PropType<(mode: import("../vc-picker/interface").PanelMode) => import("../_util/type").VueNode>;
        };
        showNow: {
            type: BooleanConstructor;
            default: any;
        };
        monthCellRender: {
            type: import("vue").PropType<import("../vc-picker/panels/MonthPanel/MonthBody").MonthCellRender<Moment>>;
        };
        monthCellContentRender: {
            type: import("vue").PropType<import("../vc-picker/panels/MonthPanel/MonthBody").MonthCellRender<Moment>>;
        };
        id: StringConstructor;
        dropdownClassName: StringConstructor;
        dropdownAlign: {
            type: import("vue").PropType<import("../vc-align/interface").AlignType>;
        };
        popupStyle: {
            type: import("vue").PropType<import("vue").CSSProperties>;
        };
        transitionName: StringConstructor;
        placeholder: StringConstructor;
        allowClear: {
            type: BooleanConstructor;
            default: any;
        };
        autofocus: {
            type: BooleanConstructor;
            default: any;
        };
        disabled: {
            type: BooleanConstructor;
            default: any;
        };
        tabindex: NumberConstructor;
        open: {
            type: BooleanConstructor;
            default: any;
        };
        defaultOpen: {
            type: BooleanConstructor;
            default: any;
        };
        inputReadOnly: {
            type: BooleanConstructor;
            default: any;
        };
        format: {
            type: import("vue").PropType<string | import("../vc-picker/interface").CustomFormat<Moment> | (string | import("../vc-picker/interface").CustomFormat<Moment>)[]>;
        };
        getPopupContainer: {
            type: import("vue").PropType<(node: HTMLElement) => HTMLElement>;
        };
        panelRender: {
            type: import("vue").PropType<(originPanel: import("../_util/type").VueNode) => import("../_util/type").VueNode>;
        };
        onChange: {
            type: import("vue").PropType<(value: string | Moment, dateString: string) => void>;
        };
        'onUpdate:value': {
            type: import("vue").PropType<(value: string | Moment) => void>;
        };
        onOk: {
            type: import("vue").PropType<(value: string | Moment) => void>;
        };
        onOpenChange: {
            type: import("vue").PropType<(open: boolean) => void>;
        };
        'onUpdate:open': {
            type: import("vue").PropType<(open: boolean) => void>;
        };
        onFocus: {
            type: import("vue").PropType<import("../_util/EventInterface").FocusEventHandler>;
        };
        onBlur: {
            type: import("vue").PropType<import("../_util/EventInterface").FocusEventHandler>;
        };
        onMousedown: {
            type: import("vue").PropType<import("../_util/EventInterface").MouseEventHandler>;
        };
        onMouseup: {
            type: import("vue").PropType<import("../_util/EventInterface").MouseEventHandler>;
        };
        onMouseenter: {
            type: import("vue").PropType<import("../_util/EventInterface").MouseEventHandler>;
        };
        onMouseleave: {
            type: import("vue").PropType<import("../_util/EventInterface").MouseEventHandler>;
        };
        onClick: {
            type: import("vue").PropType<import("../_util/EventInterface").MouseEventHandler>;
        };
        onContextmenu: {
            type: import("vue").PropType<import("../_util/EventInterface").MouseEventHandler>;
        };
        onKeydown: {
            type: import("vue").PropType<(event: KeyboardEvent, preventDefault: () => void) => void>;
        };
        role: StringConstructor;
        name: StringConstructor;
        autocomplete: StringConstructor;
        direction: {
            type: import("vue").PropType<"ltr" | "rtl">;
        };
        showToday: {
            type: BooleanConstructor;
            default: any;
        };
        showTime: {
            type: import("vue").PropType<boolean | import("../vc-picker/panels/TimePanel").SharedTimeProps<Moment>>;
            default: any;
        };
        locale: {
            type: import("vue").PropType<import("./generatePicker").PickerLocale>;
        };
        size: {
            type: import("vue").PropType<import("../button").ButtonSize>;
        };
        bordered: {
            type: BooleanConstructor;
            default: any;
        };
        dateRender: {
            type: import("vue").PropType<import("../vc-picker/panels/DatePanel/DateBody").DateRender<Moment>>;
        };
        disabledDate: {
            type: import("vue").PropType<(date: Moment) => boolean>;
        };
        mode: {
            type: import("vue").PropType<import("../vc-picker/interface").PanelMode>;
        };
        picker: {
            type: import("vue").PropType<import("../vc-picker/interface").PickerMode>;
        };
        valueFormat: StringConstructor;
        disabledHours: import("vue").PropType<import("../vc-picker/interface").DisabledTimes["disabledHours"]>;
        disabledMinutes: import("vue").PropType<import("../vc-picker/interface").DisabledTimes["disabledMinutes"]>;
        disabledSeconds: import("vue").PropType<import("../vc-picker/interface").DisabledTimes["disabledSeconds"]>;
    }>>, {
        open: boolean;
        disabled: boolean;
        autofocus: boolean;
        defaultOpen: boolean;
        allowClear: boolean;
        bordered: boolean;
        showTime: any;
        showNow: boolean;
        showToday: boolean;
        inputReadOnly: boolean;
    }, import("../_util/type").CustomSlotsType<{
        suffixIcon?: any;
        prevIcon?: any;
        nextIcon?: any;
        superPrevIcon?: any;
        superNextIcon?: any;
        dateRender?: any;
        renderExtraFooter?: any;
        monthCellRender?: any;
        monthCellContentRender?: any;
        clearIcon?: any;
        default?: any;
    }>>;
    RangePicker: import("vue").DefineComponent<{
        allowEmpty: {
            type: import("vue").PropType<[boolean, boolean]>;
        };
        dateRender: {
            type: import("vue").PropType<import("../vc-picker/RangePicker").RangeDateRender<Moment>>;
        };
        defaultPickerValue: {
            type: import("vue").PropType<import("../vc-picker/interface").RangeValue<string> | import("../vc-picker/interface").RangeValue<Moment>>;
        };
        defaultValue: {
            type: import("vue").PropType<import("../vc-picker/interface").RangeValue<string> | import("../vc-picker/interface").RangeValue<Moment>>;
        };
        value: {
            type: import("vue").PropType<import("../vc-picker/interface").RangeValue<string> | import("../vc-picker/interface").RangeValue<Moment>>;
        };
        disabledTime: {
            type: import("vue").PropType<(date: Moment, type: import("../vc-picker/RangePicker").RangeType) => import("../vc-picker/interface").DisabledTimes>;
        };
        disabled: {
            type: import("vue").PropType<boolean | [boolean, boolean]>;
        };
        renderExtraFooter: {
            type: import("vue").PropType<() => import("../_util/type").VueNode>;
        };
        separator: {
            type: StringConstructor;
        };
        ranges: {
            type: import("vue").PropType<Record<string, import("../vc-picker/interface").RangeValue<Moment> | (() => import("../vc-picker/interface").RangeValue<Moment>)>>;
        };
        placeholder: ArrayConstructor;
        mode: {
            type: import("vue").PropType<[import("../vc-picker/interface").PanelMode, import("../vc-picker/interface").PanelMode]>;
        };
        onChange: {
            type: import("vue").PropType<(value: import("../vc-picker/interface").RangeValue<string> | import("../vc-picker/interface").RangeValue<Moment>, dateString: [string, string]) => void>;
        };
        'onUpdate:value': {
            type: import("vue").PropType<(value: import("../vc-picker/interface").RangeValue<string> | import("../vc-picker/interface").RangeValue<Moment>) => void>;
        };
        onCalendarChange: {
            type: import("vue").PropType<(values: import("../vc-picker/interface").RangeValue<string> | import("../vc-picker/interface").RangeValue<Moment>, formatString: [string, string], info: import("../vc-picker/RangePicker").RangeInfo) => void>;
        };
        onPanelChange: {
            type: import("vue").PropType<(values: import("../vc-picker/interface").RangeValue<string> | import("../vc-picker/interface").RangeValue<Moment>, modes: [import("../vc-picker/interface").PanelMode, import("../vc-picker/interface").PanelMode]) => void>;
        };
        onOk: {
            type: import("vue").PropType<(dates: import("../vc-picker/interface").RangeValue<string> | import("../vc-picker/interface").RangeValue<Moment>) => void>;
        };
        id: StringConstructor;
        dropdownClassName: StringConstructor;
        dropdownAlign: {
            type: import("vue").PropType<import("../vc-align/interface").AlignType>;
        };
        popupStyle: {
            type: import("vue").PropType<import("vue").CSSProperties>;
        };
        transitionName: StringConstructor;
        allowClear: {
            type: BooleanConstructor;
            default: any;
        };
        autofocus: {
            type: BooleanConstructor;
            default: any;
        };
        tabindex: NumberConstructor;
        open: {
            type: BooleanConstructor;
            default: any;
        };
        defaultOpen: {
            type: BooleanConstructor;
            default: any;
        };
        inputReadOnly: {
            type: BooleanConstructor;
            default: any;
        };
        format: {
            type: import("vue").PropType<string | import("../vc-picker/interface").CustomFormat<Moment> | (string | import("../vc-picker/interface").CustomFormat<Moment>)[]>;
        };
        getPopupContainer: {
            type: import("vue").PropType<(node: HTMLElement) => HTMLElement>;
        };
        panelRender: {
            type: import("vue").PropType<(originPanel: import("../_util/type").VueNode) => import("../_util/type").VueNode>;
        };
        onOpenChange: {
            type: import("vue").PropType<(open: boolean) => void>;
        };
        'onUpdate:open': {
            type: import("vue").PropType<(open: boolean) => void>;
        };
        onFocus: {
            type: import("vue").PropType<import("../_util/EventInterface").FocusEventHandler>;
        };
        onBlur: {
            type: import("vue").PropType<import("../_util/EventInterface").FocusEventHandler>;
        };
        onMousedown: {
            type: import("vue").PropType<import("../_util/EventInterface").MouseEventHandler>;
        };
        onMouseup: {
            type: import("vue").PropType<import("../_util/EventInterface").MouseEventHandler>;
        };
        onMouseenter: {
            type: import("vue").PropType<import("../_util/EventInterface").MouseEventHandler>;
        };
        onMouseleave: {
            type: import("vue").PropType<import("../_util/EventInterface").MouseEventHandler>;
        };
        onClick: {
            type: import("vue").PropType<import("../_util/EventInterface").MouseEventHandler>;
        };
        onContextmenu: {
            type: import("vue").PropType<import("../_util/EventInterface").MouseEventHandler>;
        };
        onKeydown: {
            type: import("vue").PropType<(event: KeyboardEvent, preventDefault: () => void) => void>;
        };
        role: StringConstructor;
        name: StringConstructor;
        autocomplete: StringConstructor;
        direction: {
            type: import("vue").PropType<"ltr" | "rtl">;
        };
        showToday: {
            type: BooleanConstructor;
            default: any;
        };
        showTime: {
            type: import("vue").PropType<boolean | import("../vc-picker/panels/TimePanel").SharedTimeProps<Moment>>;
            default: any;
        };
        locale: {
            type: import("vue").PropType<import("./generatePicker").PickerLocale>;
        };
        size: {
            type: import("vue").PropType<import("../button").ButtonSize>;
        };
        bordered: {
            type: BooleanConstructor;
            default: any;
        };
        disabledDate: {
            type: import("vue").PropType<(date: Moment) => boolean>;
        };
        picker: {
            type: import("vue").PropType<import("../vc-picker/interface").PickerMode>;
        };
        valueFormat: StringConstructor;
        disabledHours: import("vue").PropType<import("../vc-picker/interface").DisabledTimes["disabledHours"]>;
        disabledMinutes: import("vue").PropType<import("../vc-picker/interface").DisabledTimes["disabledMinutes"]>;
        disabledSeconds: import("vue").PropType<import("../vc-picker/interface").DisabledTimes["disabledSeconds"]>;
    }, () => import("vue/jsx-runtime").JSX.Element, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").PublicProps, Readonly<import("vue").ExtractPropTypes<{
        allowEmpty: {
            type: import("vue").PropType<[boolean, boolean]>;
        };
        dateRender: {
            type: import("vue").PropType<import("../vc-picker/RangePicker").RangeDateRender<Moment>>;
        };
        defaultPickerValue: {
            type: import("vue").PropType<import("../vc-picker/interface").RangeValue<string> | import("../vc-picker/interface").RangeValue<Moment>>;
        };
        defaultValue: {
            type: import("vue").PropType<import("../vc-picker/interface").RangeValue<string> | import("../vc-picker/interface").RangeValue<Moment>>;
        };
        value: {
            type: import("vue").PropType<import("../vc-picker/interface").RangeValue<string> | import("../vc-picker/interface").RangeValue<Moment>>;
        };
        disabledTime: {
            type: import("vue").PropType<(date: Moment, type: import("../vc-picker/RangePicker").RangeType) => import("../vc-picker/interface").DisabledTimes>;
        };
        disabled: {
            type: import("vue").PropType<boolean | [boolean, boolean]>;
        };
        renderExtraFooter: {
            type: import("vue").PropType<() => import("../_util/type").VueNode>;
        };
        separator: {
            type: StringConstructor;
        };
        ranges: {
            type: import("vue").PropType<Record<string, import("../vc-picker/interface").RangeValue<Moment> | (() => import("../vc-picker/interface").RangeValue<Moment>)>>;
        };
        placeholder: ArrayConstructor;
        mode: {
            type: import("vue").PropType<[import("../vc-picker/interface").PanelMode, import("../vc-picker/interface").PanelMode]>;
        };
        onChange: {
            type: import("vue").PropType<(value: import("../vc-picker/interface").RangeValue<string> | import("../vc-picker/interface").RangeValue<Moment>, dateString: [string, string]) => void>;
        };
        'onUpdate:value': {
            type: import("vue").PropType<(value: import("../vc-picker/interface").RangeValue<string> | import("../vc-picker/interface").RangeValue<Moment>) => void>;
        };
        onCalendarChange: {
            type: import("vue").PropType<(values: import("../vc-picker/interface").RangeValue<string> | import("../vc-picker/interface").RangeValue<Moment>, formatString: [string, string], info: import("../vc-picker/RangePicker").RangeInfo) => void>;
        };
        onPanelChange: {
            type: import("vue").PropType<(values: import("../vc-picker/interface").RangeValue<string> | import("../vc-picker/interface").RangeValue<Moment>, modes: [import("../vc-picker/interface").PanelMode, import("../vc-picker/interface").PanelMode]) => void>;
        };
        onOk: {
            type: import("vue").PropType<(dates: import("../vc-picker/interface").RangeValue<string> | import("../vc-picker/interface").RangeValue<Moment>) => void>;
        };
        id: StringConstructor;
        dropdownClassName: StringConstructor;
        dropdownAlign: {
            type: import("vue").PropType<import("../vc-align/interface").AlignType>;
        };
        popupStyle: {
            type: import("vue").PropType<import("vue").CSSProperties>;
        };
        transitionName: StringConstructor;
        allowClear: {
            type: BooleanConstructor;
            default: any;
        };
        autofocus: {
            type: BooleanConstructor;
            default: any;
        };
        tabindex: NumberConstructor;
        open: {
            type: BooleanConstructor;
            default: any;
        };
        defaultOpen: {
            type: BooleanConstructor;
            default: any;
        };
        inputReadOnly: {
            type: BooleanConstructor;
            default: any;
        };
        format: {
            type: import("vue").PropType<string | import("../vc-picker/interface").CustomFormat<Moment> | (string | import("../vc-picker/interface").CustomFormat<Moment>)[]>;
        };
        getPopupContainer: {
            type: import("vue").PropType<(node: HTMLElement) => HTMLElement>;
        };
        panelRender: {
            type: import("vue").PropType<(originPanel: import("../_util/type").VueNode) => import("../_util/type").VueNode>;
        };
        onOpenChange: {
            type: import("vue").PropType<(open: boolean) => void>;
        };
        'onUpdate:open': {
            type: import("vue").PropType<(open: boolean) => void>;
        };
        onFocus: {
            type: import("vue").PropType<import("../_util/EventInterface").FocusEventHandler>;
        };
        onBlur: {
            type: import("vue").PropType<import("../_util/EventInterface").FocusEventHandler>;
        };
        onMousedown: {
            type: import("vue").PropType<import("../_util/EventInterface").MouseEventHandler>;
        };
        onMouseup: {
            type: import("vue").PropType<import("../_util/EventInterface").MouseEventHandler>;
        };
        onMouseenter: {
            type: import("vue").PropType<import("../_util/EventInterface").MouseEventHandler>;
        };
        onMouseleave: {
            type: import("vue").PropType<import("../_util/EventInterface").MouseEventHandler>;
        };
        onClick: {
            type: import("vue").PropType<import("../_util/EventInterface").MouseEventHandler>;
        };
        onContextmenu: {
            type: import("vue").PropType<import("../_util/EventInterface").MouseEventHandler>;
        };
        onKeydown: {
            type: import("vue").PropType<(event: KeyboardEvent, preventDefault: () => void) => void>;
        };
        role: StringConstructor;
        name: StringConstructor;
        autocomplete: StringConstructor;
        direction: {
            type: import("vue").PropType<"ltr" | "rtl">;
        };
        showToday: {
            type: BooleanConstructor;
            default: any;
        };
        showTime: {
            type: import("vue").PropType<boolean | import("../vc-picker/panels/TimePanel").SharedTimeProps<Moment>>;
            default: any;
        };
        locale: {
            type: import("vue").PropType<import("./generatePicker").PickerLocale>;
        };
        size: {
            type: import("vue").PropType<import("../button").ButtonSize>;
        };
        bordered: {
            type: BooleanConstructor;
            default: any;
        };
        disabledDate: {
            type: import("vue").PropType<(date: Moment) => boolean>;
        };
        picker: {
            type: import("vue").PropType<import("../vc-picker/interface").PickerMode>;
        };
        valueFormat: StringConstructor;
        disabledHours: import("vue").PropType<import("../vc-picker/interface").DisabledTimes["disabledHours"]>;
        disabledMinutes: import("vue").PropType<import("../vc-picker/interface").DisabledTimes["disabledMinutes"]>;
        disabledSeconds: import("vue").PropType<import("../vc-picker/interface").DisabledTimes["disabledSeconds"]>;
    }>>, {
        open: boolean;
        autofocus: boolean;
        defaultOpen: boolean;
        allowClear: boolean;
        bordered: boolean;
        showTime: any;
        showToday: boolean;
        inputReadOnly: boolean;
    }, import("../_util/type").CustomSlotsType<{
        suffixIcon?: any;
        prevIcon?: any;
        nextIcon?: any;
        superPrevIcon?: any;
        superNextIcon?: any;
        dateRender?: any;
        renderExtraFooter?: any;
        default?: any;
        separator?: any;
        clearIcon?: any;
    }>>;
    TimePicker: import("vue").DefineComponent<{
        defaultPickerValue: {
            type: import("vue").PropType<string | Moment>;
        };
        defaultValue: {
            type: import("vue").PropType<string | Moment>;
        };
        value: {
            type: import("vue").PropType<string | Moment>;
        };
        disabledTime: {
            type: import("vue").PropType<import("../vc-picker/interface").DisabledTime<Moment>>;
        };
        renderExtraFooter: {
            type: import("vue").PropType<(mode: import("../vc-picker/interface").PanelMode) => import("../_util/type").VueNode>;
        };
        showNow: {
            type: BooleanConstructor;
            default: any;
        };
        monthCellRender: {
            type: import("vue").PropType<import("../vc-picker/panels/MonthPanel/MonthBody").MonthCellRender<Moment>>;
        };
        monthCellContentRender: {
            type: import("vue").PropType<import("../vc-picker/panels/MonthPanel/MonthBody").MonthCellRender<Moment>>;
        };
        id: StringConstructor;
        dropdownClassName: StringConstructor;
        dropdownAlign: {
            type: import("vue").PropType<import("../vc-align/interface").AlignType>;
        };
        popupStyle: {
            type: import("vue").PropType<import("vue").CSSProperties>;
        };
        transitionName: StringConstructor;
        placeholder: StringConstructor;
        allowClear: {
            type: BooleanConstructor;
            default: any;
        };
        autofocus: {
            type: BooleanConstructor;
            default: any;
        };
        disabled: {
            type: BooleanConstructor;
            default: any;
        };
        tabindex: NumberConstructor;
        open: {
            type: BooleanConstructor;
            default: any;
        };
        defaultOpen: {
            type: BooleanConstructor;
            default: any;
        };
        inputReadOnly: {
            type: BooleanConstructor;
            default: any;
        };
        format: {
            type: import("vue").PropType<string | import("../vc-picker/interface").CustomFormat<Moment> | (string | import("../vc-picker/interface").CustomFormat<Moment>)[]>;
        };
        getPopupContainer: {
            type: import("vue").PropType<(node: HTMLElement) => HTMLElement>;
        };
        panelRender: {
            type: import("vue").PropType<(originPanel: import("../_util/type").VueNode) => import("../_util/type").VueNode>;
        };
        onChange: {
            type: import("vue").PropType<(value: string | Moment, dateString: string) => void>;
        };
        'onUpdate:value': {
            type: import("vue").PropType<(value: string | Moment) => void>;
        };
        onOk: {
            type: import("vue").PropType<(value: string | Moment) => void>;
        };
        onOpenChange: {
            type: import("vue").PropType<(open: boolean) => void>;
        };
        'onUpdate:open': {
            type: import("vue").PropType<(open: boolean) => void>;
        };
        onFocus: {
            type: import("vue").PropType<import("../_util/EventInterface").FocusEventHandler>;
        };
        onBlur: {
            type: import("vue").PropType<import("../_util/EventInterface").FocusEventHandler>;
        };
        onMousedown: {
            type: import("vue").PropType<import("../_util/EventInterface").MouseEventHandler>;
        };
        onMouseup: {
            type: import("vue").PropType<import("../_util/EventInterface").MouseEventHandler>;
        };
        onMouseenter: {
            type: import("vue").PropType<import("../_util/EventInterface").MouseEventHandler>;
        };
        onMouseleave: {
            type: import("vue").PropType<import("../_util/EventInterface").MouseEventHandler>;
        };
        onClick: {
            type: import("vue").PropType<import("../_util/EventInterface").MouseEventHandler>;
        };
        onContextmenu: {
            type: import("vue").PropType<import("../_util/EventInterface").MouseEventHandler>;
        };
        onKeydown: {
            type: import("vue").PropType<(event: KeyboardEvent, preventDefault: () => void) => void>;
        };
        role: StringConstructor;
        name: StringConstructor;
        autocomplete: StringConstructor;
        direction: {
            type: import("vue").PropType<"ltr" | "rtl">;
        };
        showToday: {
            type: BooleanConstructor;
            default: any;
        };
        showTime: {
            type: import("vue").PropType<boolean | import("../vc-picker/panels/TimePanel").SharedTimeProps<Moment>>;
            default: any;
        };
        locale: {
            type: import("vue").PropType<import("./generatePicker").PickerLocale>;
        };
        size: {
            type: import("vue").PropType<import("../button").ButtonSize>;
        };
        bordered: {
            type: BooleanConstructor;
            default: any;
        };
        dateRender: {
            type: import("vue").PropType<import("../vc-picker/panels/DatePanel/DateBody").DateRender<Moment>>;
        };
        disabledDate: {
            type: import("vue").PropType<(date: Moment) => boolean>;
        };
        mode: {
            type: import("vue").PropType<import("../vc-picker/interface").PanelMode>;
        };
        picker: {
            type: import("vue").PropType<import("../vc-picker/interface").PickerMode>;
        };
        valueFormat: StringConstructor;
        disabledHours: import("vue").PropType<import("../vc-picker/interface").DisabledTimes["disabledHours"]>;
        disabledMinutes: import("vue").PropType<import("../vc-picker/interface").DisabledTimes["disabledMinutes"]>;
        disabledSeconds: import("vue").PropType<import("../vc-picker/interface").DisabledTimes["disabledSeconds"]>;
    }, () => import("vue/jsx-runtime").JSX.Element, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").PublicProps, Readonly<import("vue").ExtractPropTypes<{
        defaultPickerValue: {
            type: import("vue").PropType<string | Moment>;
        };
        defaultValue: {
            type: import("vue").PropType<string | Moment>;
        };
        value: {
            type: import("vue").PropType<string | Moment>;
        };
        disabledTime: {
            type: import("vue").PropType<import("../vc-picker/interface").DisabledTime<Moment>>;
        };
        renderExtraFooter: {
            type: import("vue").PropType<(mode: import("../vc-picker/interface").PanelMode) => import("../_util/type").VueNode>;
        };
        showNow: {
            type: BooleanConstructor;
            default: any;
        };
        monthCellRender: {
            type: import("vue").PropType<import("../vc-picker/panels/MonthPanel/MonthBody").MonthCellRender<Moment>>;
        };
        monthCellContentRender: {
            type: import("vue").PropType<import("../vc-picker/panels/MonthPanel/MonthBody").MonthCellRender<Moment>>;
        };
        id: StringConstructor;
        dropdownClassName: StringConstructor;
        dropdownAlign: {
            type: import("vue").PropType<import("../vc-align/interface").AlignType>;
        };
        popupStyle: {
            type: import("vue").PropType<import("vue").CSSProperties>;
        };
        transitionName: StringConstructor;
        placeholder: StringConstructor;
        allowClear: {
            type: BooleanConstructor;
            default: any;
        };
        autofocus: {
            type: BooleanConstructor;
            default: any;
        };
        disabled: {
            type: BooleanConstructor;
            default: any;
        };
        tabindex: NumberConstructor;
        open: {
            type: BooleanConstructor;
            default: any;
        };
        defaultOpen: {
            type: BooleanConstructor;
            default: any;
        };
        inputReadOnly: {
            type: BooleanConstructor;
            default: any;
        };
        format: {
            type: import("vue").PropType<string | import("../vc-picker/interface").CustomFormat<Moment> | (string | import("../vc-picker/interface").CustomFormat<Moment>)[]>;
        };
        getPopupContainer: {
            type: import("vue").PropType<(node: HTMLElement) => HTMLElement>;
        };
        panelRender: {
            type: import("vue").PropType<(originPanel: import("../_util/type").VueNode) => import("../_util/type").VueNode>;
        };
        onChange: {
            type: import("vue").PropType<(value: string | Moment, dateString: string) => void>;
        };
        'onUpdate:value': {
            type: import("vue").PropType<(value: string | Moment) => void>;
        };
        onOk: {
            type: import("vue").PropType<(value: string | Moment) => void>;
        };
        onOpenChange: {
            type: import("vue").PropType<(open: boolean) => void>;
        };
        'onUpdate:open': {
            type: import("vue").PropType<(open: boolean) => void>;
        };
        onFocus: {
            type: import("vue").PropType<import("../_util/EventInterface").FocusEventHandler>;
        };
        onBlur: {
            type: import("vue").PropType<import("../_util/EventInterface").FocusEventHandler>;
        };
        onMousedown: {
            type: import("vue").PropType<import("../_util/EventInterface").MouseEventHandler>;
        };
        onMouseup: {
            type: import("vue").PropType<import("../_util/EventInterface").MouseEventHandler>;
        };
        onMouseenter: {
            type: import("vue").PropType<import("../_util/EventInterface").MouseEventHandler>;
        };
        onMouseleave: {
            type: import("vue").PropType<import("../_util/EventInterface").MouseEventHandler>;
        };
        onClick: {
            type: import("vue").PropType<import("../_util/EventInterface").MouseEventHandler>;
        };
        onContextmenu: {
            type: import("vue").PropType<import("../_util/EventInterface").MouseEventHandler>;
        };
        onKeydown: {
            type: import("vue").PropType<(event: KeyboardEvent, preventDefault: () => void) => void>;
        };
        role: StringConstructor;
        name: StringConstructor;
        autocomplete: StringConstructor;
        direction: {
            type: import("vue").PropType<"ltr" | "rtl">;
        };
        showToday: {
            type: BooleanConstructor;
            default: any;
        };
        showTime: {
            type: import("vue").PropType<boolean | import("../vc-picker/panels/TimePanel").SharedTimeProps<Moment>>;
            default: any;
        };
        locale: {
            type: import("vue").PropType<import("./generatePicker").PickerLocale>;
        };
        size: {
            type: import("vue").PropType<import("../button").ButtonSize>;
        };
        bordered: {
            type: BooleanConstructor;
            default: any;
        };
        dateRender: {
            type: import("vue").PropType<import("../vc-picker/panels/DatePanel/DateBody").DateRender<Moment>>;
        };
        disabledDate: {
            type: import("vue").PropType<(date: Moment) => boolean>;
        };
        mode: {
            type: import("vue").PropType<import("../vc-picker/interface").PanelMode>;
        };
        picker: {
            type: import("vue").PropType<import("../vc-picker/interface").PickerMode>;
        };
        valueFormat: StringConstructor;
        disabledHours: import("vue").PropType<import("../vc-picker/interface").DisabledTimes["disabledHours"]>;
        disabledMinutes: import("vue").PropType<import("../vc-picker/interface").DisabledTimes["disabledMinutes"]>;
        disabledSeconds: import("vue").PropType<import("../vc-picker/interface").DisabledTimes["disabledSeconds"]>;
    }>>, {
        open: boolean;
        disabled: boolean;
        autofocus: boolean;
        defaultOpen: boolean;
        allowClear: boolean;
        bordered: boolean;
        showTime: any;
        showNow: boolean;
        showToday: boolean;
        inputReadOnly: boolean;
    }, import("../_util/type").CustomSlotsType<{
        suffixIcon?: any;
        prevIcon?: any;
        nextIcon?: any;
        superPrevIcon?: any;
        superNextIcon?: any;
        dateRender?: any;
        renderExtraFooter?: any;
        monthCellRender?: any;
        monthCellContentRender?: any;
        clearIcon?: any;
        default?: any;
    }>>;
    QuarterPicker: import("vue").DefineComponent<{
        defaultPickerValue: {
            type: import("vue").PropType<string | Moment>;
        };
        defaultValue: {
            type: import("vue").PropType<string | Moment>;
        };
        value: {
            type: import("vue").PropType<string | Moment>;
        };
        disabledTime: {
            type: import("vue").PropType<import("../vc-picker/interface").DisabledTime<Moment>>;
        };
        renderExtraFooter: {
            type: import("vue").PropType<(mode: import("../vc-picker/interface").PanelMode) => import("../_util/type").VueNode>;
        };
        showNow: {
            type: BooleanConstructor;
            default: any;
        };
        monthCellRender: {
            type: import("vue").PropType<import("../vc-picker/panels/MonthPanel/MonthBody").MonthCellRender<Moment>>;
        };
        monthCellContentRender: {
            type: import("vue").PropType<import("../vc-picker/panels/MonthPanel/MonthBody").MonthCellRender<Moment>>;
        };
        id: StringConstructor;
        dropdownClassName: StringConstructor;
        dropdownAlign: {
            type: import("vue").PropType<import("../vc-align/interface").AlignType>;
        };
        popupStyle: {
            type: import("vue").PropType<import("vue").CSSProperties>;
        };
        transitionName: StringConstructor;
        placeholder: StringConstructor;
        allowClear: {
            type: BooleanConstructor;
            default: any;
        };
        autofocus: {
            type: BooleanConstructor;
            default: any;
        };
        disabled: {
            type: BooleanConstructor;
            default: any;
        };
        tabindex: NumberConstructor;
        open: {
            type: BooleanConstructor;
            default: any;
        };
        defaultOpen: {
            type: BooleanConstructor;
            default: any;
        };
        inputReadOnly: {
            type: BooleanConstructor;
            default: any;
        };
        format: {
            type: import("vue").PropType<string | import("../vc-picker/interface").CustomFormat<Moment> | (string | import("../vc-picker/interface").CustomFormat<Moment>)[]>;
        };
        getPopupContainer: {
            type: import("vue").PropType<(node: HTMLElement) => HTMLElement>;
        };
        panelRender: {
            type: import("vue").PropType<(originPanel: import("../_util/type").VueNode) => import("../_util/type").VueNode>;
        };
        onChange: {
            type: import("vue").PropType<(value: string | Moment, dateString: string) => void>;
        };
        'onUpdate:value': {
            type: import("vue").PropType<(value: string | Moment) => void>;
        };
        onOk: {
            type: import("vue").PropType<(value: string | Moment) => void>;
        };
        onOpenChange: {
            type: import("vue").PropType<(open: boolean) => void>;
        };
        'onUpdate:open': {
            type: import("vue").PropType<(open: boolean) => void>;
        };
        onFocus: {
            type: import("vue").PropType<import("../_util/EventInterface").FocusEventHandler>;
        };
        onBlur: {
            type: import("vue").PropType<import("../_util/EventInterface").FocusEventHandler>;
        };
        onMousedown: {
            type: import("vue").PropType<import("../_util/EventInterface").MouseEventHandler>;
        };
        onMouseup: {
            type: import("vue").PropType<import("../_util/EventInterface").MouseEventHandler>;
        };
        onMouseenter: {
            type: import("vue").PropType<import("../_util/EventInterface").MouseEventHandler>;
        };
        onMouseleave: {
            type: import("vue").PropType<import("../_util/EventInterface").MouseEventHandler>;
        };
        onClick: {
            type: import("vue").PropType<import("../_util/EventInterface").MouseEventHandler>;
        };
        onContextmenu: {
            type: import("vue").PropType<import("../_util/EventInterface").MouseEventHandler>;
        };
        onKeydown: {
            type: import("vue").PropType<(event: KeyboardEvent, preventDefault: () => void) => void>;
        };
        role: StringConstructor;
        name: StringConstructor;
        autocomplete: StringConstructor;
        direction: {
            type: import("vue").PropType<"ltr" | "rtl">;
        };
        showToday: {
            type: BooleanConstructor;
            default: any;
        };
        showTime: {
            type: import("vue").PropType<boolean | import("../vc-picker/panels/TimePanel").SharedTimeProps<Moment>>;
            default: any;
        };
        locale: {
            type: import("vue").PropType<import("./generatePicker").PickerLocale>;
        };
        size: {
            type: import("vue").PropType<import("../button").ButtonSize>;
        };
        bordered: {
            type: BooleanConstructor;
            default: any;
        };
        dateRender: {
            type: import("vue").PropType<import("../vc-picker/panels/DatePanel/DateBody").DateRender<Moment>>;
        };
        disabledDate: {
            type: import("vue").PropType<(date: Moment) => boolean>;
        };
        mode: {
            type: import("vue").PropType<import("../vc-picker/interface").PanelMode>;
        };
        picker: {
            type: import("vue").PropType<import("../vc-picker/interface").PickerMode>;
        };
        valueFormat: StringConstructor;
        disabledHours: import("vue").PropType<import("../vc-picker/interface").DisabledTimes["disabledHours"]>;
        disabledMinutes: import("vue").PropType<import("../vc-picker/interface").DisabledTimes["disabledMinutes"]>;
        disabledSeconds: import("vue").PropType<import("../vc-picker/interface").DisabledTimes["disabledSeconds"]>;
    }, () => import("vue/jsx-runtime").JSX.Element, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").PublicProps, Readonly<import("vue").ExtractPropTypes<{
        defaultPickerValue: {
            type: import("vue").PropType<string | Moment>;
        };
        defaultValue: {
            type: import("vue").PropType<string | Moment>;
        };
        value: {
            type: import("vue").PropType<string | Moment>;
        };
        disabledTime: {
            type: import("vue").PropType<import("../vc-picker/interface").DisabledTime<Moment>>;
        };
        renderExtraFooter: {
            type: import("vue").PropType<(mode: import("../vc-picker/interface").PanelMode) => import("../_util/type").VueNode>;
        };
        showNow: {
            type: BooleanConstructor;
            default: any;
        };
        monthCellRender: {
            type: import("vue").PropType<import("../vc-picker/panels/MonthPanel/MonthBody").MonthCellRender<Moment>>;
        };
        monthCellContentRender: {
            type: import("vue").PropType<import("../vc-picker/panels/MonthPanel/MonthBody").MonthCellRender<Moment>>;
        };
        id: StringConstructor;
        dropdownClassName: StringConstructor;
        dropdownAlign: {
            type: import("vue").PropType<import("../vc-align/interface").AlignType>;
        };
        popupStyle: {
            type: import("vue").PropType<import("vue").CSSProperties>;
        };
        transitionName: StringConstructor;
        placeholder: StringConstructor;
        allowClear: {
            type: BooleanConstructor;
            default: any;
        };
        autofocus: {
            type: BooleanConstructor;
            default: any;
        };
        disabled: {
            type: BooleanConstructor;
            default: any;
        };
        tabindex: NumberConstructor;
        open: {
            type: BooleanConstructor;
            default: any;
        };
        defaultOpen: {
            type: BooleanConstructor;
            default: any;
        };
        inputReadOnly: {
            type: BooleanConstructor;
            default: any;
        };
        format: {
            type: import("vue").PropType<string | import("../vc-picker/interface").CustomFormat<Moment> | (string | import("../vc-picker/interface").CustomFormat<Moment>)[]>;
        };
        getPopupContainer: {
            type: import("vue").PropType<(node: HTMLElement) => HTMLElement>;
        };
        panelRender: {
            type: import("vue").PropType<(originPanel: import("../_util/type").VueNode) => import("../_util/type").VueNode>;
        };
        onChange: {
            type: import("vue").PropType<(value: string | Moment, dateString: string) => void>;
        };
        'onUpdate:value': {
            type: import("vue").PropType<(value: string | Moment) => void>;
        };
        onOk: {
            type: import("vue").PropType<(value: string | Moment) => void>;
        };
        onOpenChange: {
            type: import("vue").PropType<(open: boolean) => void>;
        };
        'onUpdate:open': {
            type: import("vue").PropType<(open: boolean) => void>;
        };
        onFocus: {
            type: import("vue").PropType<import("../_util/EventInterface").FocusEventHandler>;
        };
        onBlur: {
            type: import("vue").PropType<import("../_util/EventInterface").FocusEventHandler>;
        };
        onMousedown: {
            type: import("vue").PropType<import("../_util/EventInterface").MouseEventHandler>;
        };
        onMouseup: {
            type: import("vue").PropType<import("../_util/EventInterface").MouseEventHandler>;
        };
        onMouseenter: {
            type: import("vue").PropType<import("../_util/EventInterface").MouseEventHandler>;
        };
        onMouseleave: {
            type: import("vue").PropType<import("../_util/EventInterface").MouseEventHandler>;
        };
        onClick: {
            type: import("vue").PropType<import("../_util/EventInterface").MouseEventHandler>;
        };
        onContextmenu: {
            type: import("vue").PropType<import("../_util/EventInterface").MouseEventHandler>;
        };
        onKeydown: {
            type: import("vue").PropType<(event: KeyboardEvent, preventDefault: () => void) => void>;
        };
        role: StringConstructor;
        name: StringConstructor;
        autocomplete: StringConstructor;
        direction: {
            type: import("vue").PropType<"ltr" | "rtl">;
        };
        showToday: {
            type: BooleanConstructor;
            default: any;
        };
        showTime: {
            type: import("vue").PropType<boolean | import("../vc-picker/panels/TimePanel").SharedTimeProps<Moment>>;
            default: any;
        };
        locale: {
            type: import("vue").PropType<import("./generatePicker").PickerLocale>;
        };
        size: {
            type: import("vue").PropType<import("../button").ButtonSize>;
        };
        bordered: {
            type: BooleanConstructor;
            default: any;
        };
        dateRender: {
            type: import("vue").PropType<import("../vc-picker/panels/DatePanel/DateBody").DateRender<Moment>>;
        };
        disabledDate: {
            type: import("vue").PropType<(date: Moment) => boolean>;
        };
        mode: {
            type: import("vue").PropType<import("../vc-picker/interface").PanelMode>;
        };
        picker: {
            type: import("vue").PropType<import("../vc-picker/interface").PickerMode>;
        };
        valueFormat: StringConstructor;
        disabledHours: import("vue").PropType<import("../vc-picker/interface").DisabledTimes["disabledHours"]>;
        disabledMinutes: import("vue").PropType<import("../vc-picker/interface").DisabledTimes["disabledMinutes"]>;
        disabledSeconds: import("vue").PropType<import("../vc-picker/interface").DisabledTimes["disabledSeconds"]>;
    }>>, {
        open: boolean;
        disabled: boolean;
        autofocus: boolean;
        defaultOpen: boolean;
        allowClear: boolean;
        bordered: boolean;
        showTime: any;
        showNow: boolean;
        showToday: boolean;
        inputReadOnly: boolean;
    }, import("../_util/type").CustomSlotsType<{
        suffixIcon?: any;
        prevIcon?: any;
        nextIcon?: any;
        superPrevIcon?: any;
        superNextIcon?: any;
        dateRender?: any;
        renderExtraFooter?: any;
        monthCellRender?: any;
        monthCellContentRender?: any;
        clearIcon?: any;
        default?: any;
    }>>;
    install: (app: App) => App<any>;
};
export default _default;
