"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _vue = require("vue");
var _objectSpread2 = _interopRequireDefault(require("@babel/runtime/helpers/objectSpread2"));
var _objectWithoutProperties2 = _interopRequireDefault(require("@babel/runtime/helpers/objectWithoutProperties"));
var _classNames = _interopRequireDefault(require("../_util/classNames"));
var _LocaleReceiver = _interopRequireDefault(require("../locale-provider/LocaleReceiver"));
var _empty = _interopRequireDefault(require("./empty"));
var _simple = _interopRequireDefault(require("./simple"));
var _propsUtil = require("../_util/props-util");
var _vueTypes = _interopRequireDefault(require("../_util/vue-types"));
var _type = require("../_util/type");
var _useConfigInject = _interopRequireDefault(require("../_util/hooks/useConfigInject"));
const _excluded = ["image", "description", "imageStyle", "class"];
const defaultEmptyImg = (0, _vue.createVNode)(_empty.default, null, null);
const simpleEmptyImg = (0, _vue.createVNode)(_simple.default, null, null);
const Empty = (props, _ref) => {
  var _slots$image, _slots$description;
  let {
    slots = {},
    attrs
  } = _ref;
  const {
    direction,
    prefixCls: prefixClsRef
  } = (0, _useConfigInject.default)('empty', props);
  const prefixCls = prefixClsRef.value;
  const _props$attrs = (0, _objectSpread2.default)((0, _objectSpread2.default)({}, props), attrs),
    {
      image = ((_slots$image = slots.image) === null || _slots$image === void 0 ? void 0 : _slots$image.call(slots)) || defaultEmptyImg,
      description = ((_slots$description = slots.description) === null || _slots$description === void 0 ? void 0 : _slots$description.call(slots)) || undefined,
      imageStyle,
      class: className = ''
    } = _props$attrs,
    restProps = (0, _objectWithoutProperties2.default)(_props$attrs, _excluded);
  return (0, _vue.createVNode)(_LocaleReceiver.default, {
    "componentName": "Empty",
    "children": locale => {
      const des = typeof description !== 'undefined' ? description : locale.description;
      const alt = typeof des === 'string' ? des : 'empty';
      let imageNode = null;
      if (typeof image === 'string') {
        imageNode = (0, _vue.createVNode)("img", {
          "alt": alt,
          "src": image
        }, null);
      } else {
        imageNode = image;
      }
      return (0, _vue.createVNode)("div", (0, _objectSpread2.default)({
        "class": (0, _classNames.default)(prefixCls, className, {
          [`${prefixCls}-normal`]: image === simpleEmptyImg,
          [`${prefixCls}-rtl`]: direction.value === 'rtl'
        })
      }, restProps), [(0, _vue.createVNode)("div", {
        "class": `${prefixCls}-image`,
        "style": imageStyle
      }, [imageNode]), des && (0, _vue.createVNode)("p", {
        "class": `${prefixCls}-description`
      }, [des]), slots.default && (0, _vue.createVNode)("div", {
        "class": `${prefixCls}-footer`
      }, [(0, _propsUtil.filterEmpty)(slots.default())])]);
    }
  }, null);
};
Empty.displayName = 'AEmpty';
Empty.PRESENTED_IMAGE_DEFAULT = defaultEmptyImg;
Empty.PRESENTED_IMAGE_SIMPLE = simpleEmptyImg;
Empty.inheritAttrs = false;
Empty.props = {
  prefixCls: String,
  image: _vueTypes.default.any,
  description: _vueTypes.default.any,
  imageStyle: {
    type: Object,
    default: undefined
  }
};
var _default = exports.default = (0, _type.withInstall)(Empty);