import type { PropType, ExtractPropTypes, App } from 'vue';
import type { SizeType } from '../config-provider';
import type { CustomSlotsType } from '../_util/type';
export declare const inputNumberProps: () => {
    size: {
        type: PropType<SizeType>;
    };
    bordered: {
        type: BooleanConstructor;
        default: boolean;
    };
    placeholder: StringConstructor;
    name: StringConstructor;
    id: StringConstructor;
    type: StringConstructor;
    addonBefore: import("vue-types").VueTypeValidableDef<any>;
    addonAfter: import("vue-types").VueTypeValidableDef<any>;
    prefix: import("vue-types").VueTypeValidableDef<any>;
    'onUpdate:value': {
        type: PropType<(value: import("./src/utils/MiniDecimal").ValueType) => void>;
    };
    valueModifiers: ObjectConstructor;
    stringMode: {
        type: PropType<boolean>;
    };
    defaultValue: {
        type: PropType<import("./src/utils/MiniDecimal").ValueType>;
    };
    value: {
        type: PropType<import("./src/utils/MiniDecimal").ValueType>;
    };
    prefixCls: {
        type: PropType<string>;
    };
    min: {
        type: PropType<import("./src/utils/MiniDecimal").ValueType>;
    };
    max: {
        type: PropType<import("./src/utils/MiniDecimal").ValueType>;
    };
    step: {
        type: PropType<import("./src/utils/MiniDecimal").ValueType>;
        default: number;
    };
    tabindex: {
        type: PropType<number>;
    };
    controls: {
        type: PropType<boolean>;
        default: boolean;
    };
    readonly: {
        type: PropType<boolean>;
    };
    disabled: {
        type: PropType<boolean>;
    };
    autofocus: {
        type: PropType<boolean>;
    };
    keyboard: {
        type: PropType<boolean>;
        default: boolean;
    };
    parser: {
        type: PropType<(displayValue: string | undefined) => import("./src/utils/MiniDecimal").ValueType>;
    };
    formatter: {
        type: PropType<(value: import("./src/utils/MiniDecimal").ValueType | undefined, info: {
            userTyping: boolean;
            input: string;
        }) => string>;
    };
    precision: {
        type: PropType<number>;
    };
    decimalSeparator: {
        type: PropType<string>;
    };
    onInput: {
        type: PropType<(text: string) => void>;
    };
    onChange: {
        type: PropType<(value: import("./src/utils/MiniDecimal").ValueType) => void>;
    };
    onPressEnter: {
        type: PropType<import("../_util/EventInterface").KeyboardEventHandler>;
    };
    onStep: {
        type: PropType<(value: import("./src/utils/MiniDecimal").ValueType, info: {
            offset: import("./src/utils/MiniDecimal").ValueType;
            type: "up" | "down";
        }) => void>;
    };
    onBlur: {
        type: PropType<(e: FocusEvent) => void>;
    };
    onFocus: {
        type: PropType<(e: FocusEvent) => void>;
    };
};
export type InputNumberProps = Partial<ExtractPropTypes<ReturnType<typeof inputNumberProps>>>;
declare const _default: {
    new (...args: any[]): import("vue").CreateComponentPublicInstance<Readonly<ExtractPropTypes<{
        size: {
            type: PropType<SizeType>;
        };
        bordered: {
            type: BooleanConstructor;
            default: boolean;
        };
        placeholder: StringConstructor;
        name: StringConstructor;
        id: StringConstructor;
        type: StringConstructor;
        addonBefore: import("vue-types").VueTypeValidableDef<any>;
        addonAfter: import("vue-types").VueTypeValidableDef<any>;
        prefix: import("vue-types").VueTypeValidableDef<any>;
        'onUpdate:value': {
            type: PropType<(value: import("./src/utils/MiniDecimal").ValueType) => void>;
        };
        valueModifiers: ObjectConstructor;
        stringMode: {
            type: PropType<boolean>;
        };
        defaultValue: {
            type: PropType<import("./src/utils/MiniDecimal").ValueType>;
        };
        value: {
            type: PropType<import("./src/utils/MiniDecimal").ValueType>;
        };
        prefixCls: {
            type: PropType<string>;
        };
        min: {
            type: PropType<import("./src/utils/MiniDecimal").ValueType>;
        };
        max: {
            type: PropType<import("./src/utils/MiniDecimal").ValueType>;
        };
        step: {
            type: PropType<import("./src/utils/MiniDecimal").ValueType>;
            default: number;
        };
        tabindex: {
            type: PropType<number>;
        };
        controls: {
            type: PropType<boolean>;
            default: boolean;
        };
        readonly: {
            type: PropType<boolean>;
        };
        disabled: {
            type: PropType<boolean>;
        };
        autofocus: {
            type: PropType<boolean>;
        };
        keyboard: {
            type: PropType<boolean>;
            default: boolean;
        };
        parser: {
            type: PropType<(displayValue: string | undefined) => import("./src/utils/MiniDecimal").ValueType>;
        };
        formatter: {
            type: PropType<(value: import("./src/utils/MiniDecimal").ValueType | undefined, info: {
                userTyping: boolean;
                input: string;
            }) => string>;
        };
        precision: {
            type: PropType<number>;
        };
        decimalSeparator: {
            type: PropType<string>;
        };
        onInput: {
            type: PropType<(text: string) => void>;
        };
        onChange: {
            type: PropType<(value: import("./src/utils/MiniDecimal").ValueType) => void>;
        };
        onPressEnter: {
            type: PropType<import("../_util/EventInterface").KeyboardEventHandler>;
        };
        onStep: {
            type: PropType<(value: import("./src/utils/MiniDecimal").ValueType, info: {
                offset: import("./src/utils/MiniDecimal").ValueType;
                type: "up" | "down";
            }) => void>;
        };
        onBlur: {
            type: PropType<(e: FocusEvent) => void>;
        };
        onFocus: {
            type: PropType<(e: FocusEvent) => void>;
        };
    }>>, () => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
        [key: string]: any;
    }>, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps & Readonly<ExtractPropTypes<{
        size: {
            type: PropType<SizeType>;
        };
        bordered: {
            type: BooleanConstructor;
            default: boolean;
        };
        placeholder: StringConstructor;
        name: StringConstructor;
        id: StringConstructor;
        type: StringConstructor;
        addonBefore: import("vue-types").VueTypeValidableDef<any>;
        addonAfter: import("vue-types").VueTypeValidableDef<any>;
        prefix: import("vue-types").VueTypeValidableDef<any>;
        'onUpdate:value': {
            type: PropType<(value: import("./src/utils/MiniDecimal").ValueType) => void>;
        };
        valueModifiers: ObjectConstructor;
        stringMode: {
            type: PropType<boolean>;
        };
        defaultValue: {
            type: PropType<import("./src/utils/MiniDecimal").ValueType>;
        };
        value: {
            type: PropType<import("./src/utils/MiniDecimal").ValueType>;
        };
        prefixCls: {
            type: PropType<string>;
        };
        min: {
            type: PropType<import("./src/utils/MiniDecimal").ValueType>;
        };
        max: {
            type: PropType<import("./src/utils/MiniDecimal").ValueType>;
        };
        step: {
            type: PropType<import("./src/utils/MiniDecimal").ValueType>;
            default: number;
        };
        tabindex: {
            type: PropType<number>;
        };
        controls: {
            type: PropType<boolean>;
            default: boolean;
        };
        readonly: {
            type: PropType<boolean>;
        };
        disabled: {
            type: PropType<boolean>;
        };
        autofocus: {
            type: PropType<boolean>;
        };
        keyboard: {
            type: PropType<boolean>;
            default: boolean;
        };
        parser: {
            type: PropType<(displayValue: string | undefined) => import("./src/utils/MiniDecimal").ValueType>;
        };
        formatter: {
            type: PropType<(value: import("./src/utils/MiniDecimal").ValueType | undefined, info: {
                userTyping: boolean;
                input: string;
            }) => string>;
        };
        precision: {
            type: PropType<number>;
        };
        decimalSeparator: {
            type: PropType<string>;
        };
        onInput: {
            type: PropType<(text: string) => void>;
        };
        onChange: {
            type: PropType<(value: import("./src/utils/MiniDecimal").ValueType) => void>;
        };
        onPressEnter: {
            type: PropType<import("../_util/EventInterface").KeyboardEventHandler>;
        };
        onStep: {
            type: PropType<(value: import("./src/utils/MiniDecimal").ValueType, info: {
                offset: import("./src/utils/MiniDecimal").ValueType;
                type: "up" | "down";
            }) => void>;
        };
        onBlur: {
            type: PropType<(e: FocusEvent) => void>;
        };
        onFocus: {
            type: PropType<(e: FocusEvent) => void>;
        };
    }>>, {
        step: import("./src/utils/MiniDecimal").ValueType;
        keyboard: boolean;
        bordered: boolean;
        controls: boolean;
    }, true, {}, CustomSlotsType<{
        addonBefore?: any;
        addonAfter?: any;
        prefix?: any;
        default?: any;
    }>, {
        P: {};
        B: {};
        D: {};
        C: {};
        M: {};
        Defaults: {};
    }, Readonly<ExtractPropTypes<{
        size: {
            type: PropType<SizeType>;
        };
        bordered: {
            type: BooleanConstructor;
            default: boolean;
        };
        placeholder: StringConstructor;
        name: StringConstructor;
        id: StringConstructor;
        type: StringConstructor;
        addonBefore: import("vue-types").VueTypeValidableDef<any>;
        addonAfter: import("vue-types").VueTypeValidableDef<any>;
        prefix: import("vue-types").VueTypeValidableDef<any>;
        'onUpdate:value': {
            type: PropType<(value: import("./src/utils/MiniDecimal").ValueType) => void>;
        };
        valueModifiers: ObjectConstructor;
        stringMode: {
            type: PropType<boolean>;
        };
        defaultValue: {
            type: PropType<import("./src/utils/MiniDecimal").ValueType>;
        };
        value: {
            type: PropType<import("./src/utils/MiniDecimal").ValueType>;
        };
        prefixCls: {
            type: PropType<string>;
        };
        min: {
            type: PropType<import("./src/utils/MiniDecimal").ValueType>;
        };
        max: {
            type: PropType<import("./src/utils/MiniDecimal").ValueType>;
        };
        step: {
            type: PropType<import("./src/utils/MiniDecimal").ValueType>;
            default: number;
        };
        tabindex: {
            type: PropType<number>;
        };
        controls: {
            type: PropType<boolean>;
            default: boolean;
        };
        readonly: {
            type: PropType<boolean>;
        };
        disabled: {
            type: PropType<boolean>;
        };
        autofocus: {
            type: PropType<boolean>;
        };
        keyboard: {
            type: PropType<boolean>;
            default: boolean;
        };
        parser: {
            type: PropType<(displayValue: string | undefined) => import("./src/utils/MiniDecimal").ValueType>;
        };
        formatter: {
            type: PropType<(value: import("./src/utils/MiniDecimal").ValueType | undefined, info: {
                userTyping: boolean;
                input: string;
            }) => string>;
        };
        precision: {
            type: PropType<number>;
        };
        decimalSeparator: {
            type: PropType<string>;
        };
        onInput: {
            type: PropType<(text: string) => void>;
        };
        onChange: {
            type: PropType<(value: import("./src/utils/MiniDecimal").ValueType) => void>;
        };
        onPressEnter: {
            type: PropType<import("../_util/EventInterface").KeyboardEventHandler>;
        };
        onStep: {
            type: PropType<(value: import("./src/utils/MiniDecimal").ValueType, info: {
                offset: import("./src/utils/MiniDecimal").ValueType;
                type: "up" | "down";
            }) => void>;
        };
        onBlur: {
            type: PropType<(e: FocusEvent) => void>;
        };
        onFocus: {
            type: PropType<(e: FocusEvent) => void>;
        };
    }>>, () => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
        [key: string]: any;
    }>, {}, {}, {}, {
        step: import("./src/utils/MiniDecimal").ValueType;
        keyboard: boolean;
        bordered: boolean;
        controls: boolean;
    }>;
    __isFragment?: never;
    __isTeleport?: never;
    __isSuspense?: never;
} & import("vue").ComponentOptionsBase<Readonly<ExtractPropTypes<{
    size: {
        type: PropType<SizeType>;
    };
    bordered: {
        type: BooleanConstructor;
        default: boolean;
    };
    placeholder: StringConstructor;
    name: StringConstructor;
    id: StringConstructor;
    type: StringConstructor;
    addonBefore: import("vue-types").VueTypeValidableDef<any>;
    addonAfter: import("vue-types").VueTypeValidableDef<any>;
    prefix: import("vue-types").VueTypeValidableDef<any>;
    'onUpdate:value': {
        type: PropType<(value: import("./src/utils/MiniDecimal").ValueType) => void>;
    };
    valueModifiers: ObjectConstructor;
    stringMode: {
        type: PropType<boolean>;
    };
    defaultValue: {
        type: PropType<import("./src/utils/MiniDecimal").ValueType>;
    };
    value: {
        type: PropType<import("./src/utils/MiniDecimal").ValueType>;
    };
    prefixCls: {
        type: PropType<string>;
    };
    min: {
        type: PropType<import("./src/utils/MiniDecimal").ValueType>;
    };
    max: {
        type: PropType<import("./src/utils/MiniDecimal").ValueType>;
    };
    step: {
        type: PropType<import("./src/utils/MiniDecimal").ValueType>;
        default: number;
    };
    tabindex: {
        type: PropType<number>;
    };
    controls: {
        type: PropType<boolean>;
        default: boolean;
    };
    readonly: {
        type: PropType<boolean>;
    };
    disabled: {
        type: PropType<boolean>;
    };
    autofocus: {
        type: PropType<boolean>;
    };
    keyboard: {
        type: PropType<boolean>;
        default: boolean;
    };
    parser: {
        type: PropType<(displayValue: string | undefined) => import("./src/utils/MiniDecimal").ValueType>;
    };
    formatter: {
        type: PropType<(value: import("./src/utils/MiniDecimal").ValueType | undefined, info: {
            userTyping: boolean;
            input: string;
        }) => string>;
    };
    precision: {
        type: PropType<number>;
    };
    decimalSeparator: {
        type: PropType<string>;
    };
    onInput: {
        type: PropType<(text: string) => void>;
    };
    onChange: {
        type: PropType<(value: import("./src/utils/MiniDecimal").ValueType) => void>;
    };
    onPressEnter: {
        type: PropType<import("../_util/EventInterface").KeyboardEventHandler>;
    };
    onStep: {
        type: PropType<(value: import("./src/utils/MiniDecimal").ValueType, info: {
            offset: import("./src/utils/MiniDecimal").ValueType;
            type: "up" | "down";
        }) => void>;
    };
    onBlur: {
        type: PropType<(e: FocusEvent) => void>;
    };
    onFocus: {
        type: PropType<(e: FocusEvent) => void>;
    };
}>>, () => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
    [key: string]: any;
}>, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, {
    step: import("./src/utils/MiniDecimal").ValueType;
    keyboard: boolean;
    bordered: boolean;
    controls: boolean;
}, {}, string, CustomSlotsType<{
    addonBefore?: any;
    addonAfter?: any;
    prefix?: any;
    default?: any;
}>> & import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps & {
    install: (app: App) => App<any>;
};
export default _default;
