"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.popoverProps = exports.default = void 0;
var _vue = require("vue");
var _objectSpread2 = _interopRequireDefault(require("@babel/runtime/helpers/objectSpread2"));
var _tooltip = _interopRequireDefault(require("../tooltip"));
var _abstractTooltipProps = _interopRequireDefault(require("../tooltip/abstractTooltipProps"));
var _vueTypes = _interopRequireDefault(require("../_util/vue-types"));
var _propsUtil = require("../_util/props-util");
var _type = require("../_util/type");
var _useConfigInject = _interopRequireDefault(require("../_util/hooks/useConfigInject"));
var _omit = _interopRequireDefault(require("../_util/omit"));
var _transition = require("../_util/transition");
var _Tooltip = require("../tooltip/Tooltip");
const popoverProps = () => (0, _objectSpread2.default)((0, _objectSpread2.default)({}, (0, _abstractTooltipProps.default)()), {}, {
  content: _vueTypes.default.any,
  title: _vueTypes.default.any
});
exports.popoverProps = popoverProps;
const Popover = (0, _vue.defineComponent)({
  compatConfig: {
    MODE: 3
  },
  name: 'APopover',
  props: (0, _propsUtil.initDefaultProps)(popoverProps(), (0, _objectSpread2.default)((0, _objectSpread2.default)({}, (0, _Tooltip.tooltipDefaultProps)()), {}, {
    trigger: 'hover',
    transitionName: 'zoom-big',
    placement: 'top',
    mouseEnterDelay: 0.1,
    mouseLeaveDelay: 0.1
  })),
  setup(props, _ref) {
    let {
      expose,
      slots
    } = _ref;
    const tooltipRef = (0, _vue.ref)();
    expose({
      getPopupDomNode: () => {
        var _tooltipRef$value, _tooltipRef$value$get;
        return (_tooltipRef$value = tooltipRef.value) === null || _tooltipRef$value === void 0 ? void 0 : (_tooltipRef$value$get = _tooltipRef$value.getPopupDomNode) === null || _tooltipRef$value$get === void 0 ? void 0 : _tooltipRef$value$get.call(_tooltipRef$value);
      }
    });
    const {
      prefixCls,
      configProvider
    } = (0, _useConfigInject.default)('popover', props);
    const rootPrefixCls = (0, _vue.computed)(() => configProvider.getPrefixCls());
    const getOverlay = () => {
      var _slots$title, _slots$content;
      const {
        title = (0, _propsUtil.filterEmpty)((_slots$title = slots.title) === null || _slots$title === void 0 ? void 0 : _slots$title.call(slots)),
        content = (0, _propsUtil.filterEmpty)((_slots$content = slots.content) === null || _slots$content === void 0 ? void 0 : _slots$content.call(slots))
      } = props;
      const hasTitle = !!(Array.isArray(title) ? title.length : title);
      const hasContent = !!(Array.isArray(content) ? content.length : title);
      if (!hasTitle && !hasContent) return undefined;
      return (0, _vue.createVNode)(_vue.Fragment, null, [hasTitle && (0, _vue.createVNode)("div", {
        "class": `${prefixCls.value}-title`
      }, [title]), (0, _vue.createVNode)("div", {
        "class": `${prefixCls.value}-inner-content`
      }, [content])]);
    };
    return () => {
      return (0, _vue.createVNode)(_tooltip.default, (0, _objectSpread2.default)((0, _objectSpread2.default)({}, (0, _omit.default)(props, ['title', 'content'])), {}, {
        "prefixCls": prefixCls.value,
        "ref": tooltipRef,
        "transitionName": (0, _transition.getTransitionName)(rootPrefixCls.value, 'zoom-big', props.transitionName)
      }), {
        title: getOverlay,
        default: slots.default
      });
    };
  }
});
var _default = exports.default = (0, _type.withInstall)(Popover);