import type { ExtractPropTypes, PropType } from 'vue';
import type { SkeletonAvatarProps as AvatarProps } from './Avatar';
import type { SkeletonTitleProps } from './Title';
import type { SkeletonParagraphProps } from './Paragraph';
type SkeletonAvatarProps = Omit<AvatarProps, 'active'>;
export declare const skeletonProps: () => {
    active: {
        type: BooleanConstructor;
        default: any;
    };
    loading: {
        type: BooleanConstructor;
        default: any;
    };
    prefixCls: StringConstructor;
    avatar: {
        type: PropType<SkeletonAvatarProps | boolean>;
        default: SkeletonAvatarProps | boolean;
    };
    title: {
        type: PropType<SkeletonTitleProps | boolean>;
        default: SkeletonTitleProps | boolean;
    };
    paragraph: {
        type: PropType<SkeletonParagraphProps | boolean>;
        default: SkeletonParagraphProps | boolean;
    };
    round: {
        type: BooleanConstructor;
        default: any;
    };
};
export type SkeletonProps = Partial<ExtractPropTypes<ReturnType<typeof skeletonProps>>>;
declare const Skeleton: import("vue").DefineComponent<{
    active: {
        type: BooleanConstructor;
        default: any;
    };
    loading: {
        type: BooleanConstructor;
        default: any;
    };
    prefixCls: StringConstructor;
    avatar: {
        type: PropType<SkeletonAvatarProps | boolean>;
        default: SkeletonAvatarProps | boolean;
    };
    title: {
        type: PropType<SkeletonTitleProps | boolean>;
        default: SkeletonTitleProps | boolean;
    };
    paragraph: {
        type: PropType<SkeletonParagraphProps | boolean>;
        default: SkeletonParagraphProps | boolean;
    };
    round: {
        type: BooleanConstructor;
        default: any;
    };
}, () => import("vue/jsx-runtime").JSX.Element | import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
    [key: string]: any;
}>[], unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").PublicProps, Readonly<ExtractPropTypes<{
    active: {
        type: BooleanConstructor;
        default: any;
    };
    loading: {
        type: BooleanConstructor;
        default: any;
    };
    prefixCls: StringConstructor;
    avatar: {
        type: PropType<SkeletonAvatarProps | boolean>;
        default: SkeletonAvatarProps | boolean;
    };
    title: {
        type: PropType<SkeletonTitleProps | boolean>;
        default: SkeletonTitleProps | boolean;
    };
    paragraph: {
        type: PropType<SkeletonParagraphProps | boolean>;
        default: SkeletonParagraphProps | boolean;
    };
    round: {
        type: BooleanConstructor;
        default: any;
    };
}>>, {
    title: boolean | Partial<ExtractPropTypes<{
        prefixCls: StringConstructor;
        width: {
            type: PropType<string | number>;
        };
    }>>;
    round: boolean;
    active: boolean;
    loading: boolean;
    avatar: boolean | SkeletonAvatarProps;
    paragraph: boolean | Partial<ExtractPropTypes<{
        prefixCls: StringConstructor;
        width: {
            type: PropType<(string | number)[] | (string | number)>;
        };
        rows: NumberConstructor;
    }>>;
}, {}>;
export default Skeleton;
