"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.timelineItemProps = exports.default = void 0;
var _vue = require("vue");
var _classNames = _interopRequireDefault(require("../_util/classNames"));
var _vueTypes = _interopRequireDefault(require("../_util/vue-types"));
var _initDefaultProps = _interopRequireDefault(require("../_util/props-util/initDefaultProps"));
var _type = require("../_util/type");
var _useConfigInject = _interopRequireDefault(require("../_util/hooks/useConfigInject"));
const timelineItemProps = () => ({
  prefixCls: String,
  color: String,
  dot: _vueTypes.default.any,
  pending: {
    type: Boolean,
    default: undefined
  },
  position: _vueTypes.default.oneOf((0, _type.tuple)('left', 'right', '')).def(''),
  label: _vueTypes.default.any
});
exports.timelineItemProps = timelineItemProps;
var _default = exports.default = (0, _vue.defineComponent)({
  compatConfig: {
    MODE: 3
  },
  name: 'ATimelineItem',
  props: (0, _initDefaultProps.default)(timelineItemProps(), {
    color: 'blue',
    pending: false
  }),
  slots: Object,
  setup(props, _ref) {
    let {
      slots
    } = _ref;
    const {
      prefixCls
    } = (0, _useConfigInject.default)('timeline', props);
    return () => {
      var _slots$label, _slots$dot, _slots$default;
      const {
        color = '',
        pending,
        label = (_slots$label = slots.label) === null || _slots$label === void 0 ? void 0 : _slots$label.call(slots),
        dot = (_slots$dot = slots.dot) === null || _slots$dot === void 0 ? void 0 : _slots$dot.call(slots)
      } = props;
      const itemClassName = (0, _classNames.default)({
        [`${prefixCls.value}-item`]: true,
        [`${prefixCls.value}-item-pending`]: pending
      });
      const dotClassName = (0, _classNames.default)({
        [`${prefixCls.value}-item-head`]: true,
        [`${prefixCls.value}-item-head-custom`]: dot,
        [`${prefixCls.value}-item-head-${color}`]: true
      });
      const customColor = /blue|red|green|gray/.test(color || '') ? undefined : color;
      return (0, _vue.createVNode)("li", {
        "class": itemClassName
      }, [label && (0, _vue.createVNode)("div", {
        "class": `${prefixCls.value}-item-label`
      }, [label]), (0, _vue.createVNode)("div", {
        "class": `${prefixCls.value}-item-tail`
      }, null), (0, _vue.createVNode)("div", {
        "class": dotClassName,
        "style": {
          borderColor: customColor,
          color: customColor
        }
      }, [dot]), (0, _vue.createVNode)("div", {
        "class": `${prefixCls.value}-item-content`
      }, [(_slots$default = slots.default) === null || _slots$default === void 0 ? void 0 : _slots$default.call(slots)])]);
    };
  }
});