"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.convertChildrenToData = convertChildrenToData;
var _objectSpread2 = _interopRequireDefault(require("@babel/runtime/helpers/objectSpread2"));
var _objectWithoutProperties2 = _interopRequireDefault(require("@babel/runtime/helpers/objectWithoutProperties"));
var _propsUtil = require("../../_util/props-util");
const _excluded = ["value", "disabled"];
function convertNodeToOption(node) {
  const {
      key,
      children,
      props: {
        value,
        disabled
      }
    } = node,
    restProps = (0, _objectWithoutProperties2.default)(node.props, _excluded);
  const child = children === null || children === void 0 ? void 0 : children.default;
  return (0, _objectSpread2.default)({
    key,
    value: value !== undefined ? value : key,
    children: child,
    disabled: disabled || disabled === ''
  }, restProps);
}
function convertChildrenToData(nodes) {
  let optionOnly = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : false;
  const dd = (0, _propsUtil.flattenChildren)(nodes).map((node, index) => {
    var _children$label;
    if (!(0, _propsUtil.isValidElement)(node) || !node.type) {
      return null;
    }
    const {
      type: {
        isSelectOptGroup
      },
      key,
      children,
      props
    } = node;
    if (optionOnly || !isSelectOptGroup) {
      return convertNodeToOption(node);
    }
    const child = children && children.default ? children.default() : undefined;
    const label = (props === null || props === void 0 ? void 0 : props.label) || ((_children$label = children.label) === null || _children$label === void 0 ? void 0 : _children$label.call(children)) || key;
    return (0, _objectSpread2.default)((0, _objectSpread2.default)({
      key: `__RC_SELECT_GRP__${key === null ? index : String(key)}__`
    }, props), {}, {
      label,
      options: convertChildrenToData(child || [])
    });
  }).filter(data => data);
  return dd;
}