"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _vue = require("vue");
var _objectSpread2 = _interopRequireDefault(require("@babel/runtime/helpers/objectSpread2"));
var _objectWithoutProperties2 = _interopRequireDefault(require("@babel/runtime/helpers/objectWithoutProperties"));
var _legacyUtil = require("./utils/legacyUtil");
const _excluded = ["columnType"];
function ColGroup(_ref) {
  let {
    colWidths,
    columns,
    columCount
  } = _ref;
  const cols = [];
  const len = columCount || columns.length;
  // Only insert col with width & additional props
  // Skip if rest col do not have any useful info
  let mustInsert = false;
  for (let i = len - 1; i >= 0; i -= 1) {
    const width = colWidths[i];
    const column = columns && columns[i];
    const additionalProps = column && column[_legacyUtil.INTERNAL_COL_DEFINE];
    if (width || additionalProps || mustInsert) {
      const _ref2 = additionalProps || {},
        {
          columnType
        } = _ref2,
        restAdditionalProps = (0, _objectWithoutProperties2.default)(_ref2, _excluded);
      cols.unshift((0, _vue.createVNode)("col", (0, _objectSpread2.default)({
        "key": i,
        "style": {
          width: typeof width === 'number' ? `${width}px` : width
        }
      }, restAdditionalProps), null));
      mustInsert = true;
    }
  }
  return (0, _vue.createVNode)("colgroup", null, [cols]);
}
var _default = exports.default = ColGroup;